# ---------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ---------------------------------------------------------
"""All AutoML reference codes."""


class ReferenceCodes:
    _ABSTRACT_MATERIALIZED_TABULAR_DATA_VALIDATOR = '414177d5-4e23-4d64-932a-935907d972f6'
    _ABSTRACT_RAW_EXPERIMENT_DATA_VALIDATOR = 'f15e7eff-cadc-4829-b363-1b5bdf5b9990'
    _ARIMAX_EMPTY_DF = '1cd8255a-feb4-11eb-9bf0-8c1645fec84b'
    _ARIMAX_OLS_FIT = '81b7b270-fc38-11ea-ab19-70bc107e528e'
    _ARIMAX_OLS_LIN_ALG = 'fce6ab2c-0e6d-11eb-baf7-70bc107e528e'
    _ARIMAX_PDQ = '8eae037a-c589-11ec-89cb-8c1645fec84b'
    _ARIMAX_SARIMAX = 'a01aa38c-c589-11ec-808b-8c1645fec84b'
    _ARIMA_BAD_MAX_HORIZON = '6b506a36-fec4-11eb-b0d1-8c1645fec84b'
    _AUTOML_CONFIG_ALLOWEDMODELS_EMPTY = 'a95429c1-1592-4730-b8e8-d52b4db80349'
    _AUTOML_CONFIG_BLOCKED_ALL_MODELS = '8b62ebcf-b743-4d57-b210-b0098f237d05'
    _AUTOML_CONFIG_BLOCKED_MODELS_EQUAL_ALLOW_MODEL = 'fb2a766a-478b-4ee7-a436-de93c74ab022'
    _AUTOML_CONFIG_BOTH_X_AND_TRAINING_DATA = '52cc22f6-0da2-4c72-9f1e-51a7c6b5cb0d'
    _AUTOML_CONFIG_CV_SPLITS_INDICES_LIST_LIST_TYPE = '00565c43-2fc6-413f-a668-77daf0a8e140'
    _AUTOML_CONFIG_CV_SPLITS_INDICES_LIST_TYPE = 'e13db108-4437-4bb1-baf8-511499467c10'
    _AUTOML_CONFIG_CV_SPLITS_INDICES_NEEDED = '07f7a6c5-0a64-467c-bea3-b10aeb39ea68'
    _AUTOML_CONFIG_CV_SPLIT_COL_NAMES_NEEDED = 'f3f0bd40-0819-45c6-9b43-5502c477bb7e'
    _AUTOML_CONFIG_CV_SPLIT_COL_NAMES_WRONG_TYPE = '24d90c06-61bf-4511-be42-6f738fa975e1'
    _AUTOML_CONFIG_DUPLICATE_COL_NAMES = 'ad0992b4-d4a0-4023-a9d0-4d22a6cfa536'
    _AUTOML_CONFIG_LABEL_COL_NAME_MISSING = '03208ee4-9f3b-42f3-9c6c-54d0c2ad6072'
    _AUTOML_CONFIG_LABEL_COL_NAME_WRONG_TYPE = '061ed905-e59e-42b9-ad95-cd18f40b4358'
    _AUTOML_CONFIG_PRIVATEALLOWEDMODELS_INVALID = '967ca590-63af-4292-a0df-62449b3dd1ed'
    _AUTOML_CONFIG_SAMPLE_WEIGHT_COL_NAME_WRONG_TYPE = '25cd079c-ad45-43f2-a06f-7500901e5635'
    _AUTOML_CONFIG_TRAINING_DATA_MISSING = '155bb416-e503-4af6-87d5-0dadfa83db85'
    _AUTOML_CONFIG_TRAINING_DATA_OR_LABEL_MISSING = '2482e7f2-5f26-4ce9-9645-a4ca742dd599'
    _AUTOML_CONFIG_X_AND_Y_MISSING = '515228cb-5d97-4090-be4d-70ad51227917'
    _AUTOML_CONFIG_X_MISSING = 'af0cf9c0-1500-4032-87b9-3cd64d27188d'
    _AUTOML_CONFIG_Y_MISSING = 'd271e23d-228a-46c3-831c-cf3b894ef84d'
    _BERT_ATTENTION_INIT = '50252aa2-fb18-4d4e-91e3-d6c28196aa05'
    _BERT_CONFIG_INIT = '4908213f-3bf0-44ee-a5b7-cb5e0a8a18d3'
    _BERT_LOAD_TF = 'fda0f14e-9451-4c2b-8931-c049d53f36c2'
    _BILSTM_DOWNLOAD = 'd2d3a53f-f6f4-4529-bf3a-50b5571771da'
    _BILSTM_FIT = '878a1c08-083f-498c-940c-f679a651aaa5'
    _BILSTM_FIT_TRAIN = 'd06cd4a6-da56-417e-ae11-100f7da6f730'
    _BILSTM_INIT = '7faa3035-92ca-4864-bfa1-1a08d6bd1c15'
    _BILSTM_SPLIT_TRAIN_VALID_ONLY_ONE_ROW = 'e4e9ab1d-6e5b-41e0-9f30-e03eff1d198e'
    _BILSTM_SPLIT_TRAIN_VALID_SINGLE_LABEL = '6edf732d-0ad1-4622-868b-143e8b0063e2'
    _BILSTM_TRANSFORM = 'f8f1be54-f979-4f8f-b607-e14d7141d330'
    _BILSTM_TRANSFORM_MODEL_EVAL = 'bc886bbf-f9f1-4d63-8677-73395ce1f765'
    _CACHE_AUTH_ERROR = '7db92cd4-f41f-4788-828c-a4a4a229c56e'
    _CACHE_AZUREHTTP_ERROR = '9487fd0e-ff0f-4ca5-8be4-e5b824889362'
    _CACHE_OTHER_ERROR = 'e1f5b2a3-351d-4afc-a4b7-06681bf05e0a'
    _CALIBRATED_MODEL_BASE_ESTIMATOR_FIT_FAILURE = "b33a37f9-204c-43ef-94b6-1837de98b3cd"
    _CALIBRATED_MODEL_FIT_CALIBRATION_FAILURE = "c99b6711-0d41-483d-8462-d3b7b606d4af"
    _CALIBRATED_MODEL_FIT_RETRAIN_FAILURE = "9a2d7acc-57a3-41f6-9a57-f633b82d34c5"
    _CALIBRATED_MODEL_FIT_SPLIT_FAILURE = "9633b891-b873-41ed-a675-4f4b6bdd0b8f"
    _CALIBRATED_MODEL_FIT_UNKNOWN_FAILURE = "72e12a1e-61de-4c54-b6c7-406c08ba0cbc"
    _CALIBRATED_MODEL_PREDICT_FAILURE = "896f2b15-3049-4af5-8dca-2ad8630992ba"
    _CALIBRATED_MODEL_PREDICT_PROBA_FAILURE = "e313f2f3-9373-43ed-a402-723c838ca4ab"
    _CAT_BINARIZER_NO_FIT = '8bedf592-f6e0-11eb-ae6a-04d3b0c6010a'
    _CLIENT_REQUEST_ERROR = 'bd1b64e1-fd90-4a84-920a-7c1745b9025d'
    _COMPLETE_FEATURIZATION_DT = '353492ce-1718-48b7-8d58-2d6877cafdd4'
    _CREATE_CV_SPLITS_MAX_HORIZON = '30b7e233-aaf0-4a14-902b-23009a1e8233'
    _CREATE_CV_SPLITS_MAX_HORIZON_NEGATIVE = 'e3135f43-02fa-45e3-9785-8ace522e4b4c'
    _CREATE_CV_SPLITS_TYPE = 'f331e44f-e911-438b-b8af-1c959eee7ba3'
    _CREDENTIALLESS_DATASTORE_FAILURE = '166a0fed-05ef-4bed-bbf1-65a06fdca7a6'
    _CV_SPLIT_COLUMN_CONVERSION_INCORRECT_INT_VALUE = '6e16c26a-1df9-44a0-ae30-ecdaf7539714'
    _DATAPREP_UTILITIES_MATERIALIZE_DATA = '72ed5ef1-d868-448d-84ff-461430d7a2e4'
    _DATAPREP_UTILITIES_MATERIALIZE_DATA_EMPTY = '4319a9e5-6355-4f27-9376-c0df3440c023'
    _DATAPREP_UTILITIES_MATERIALIZE_DATA_MEMORY = '1ab5f2c6-a6bc-46fc-b8ab-9237de9e6a00'
    _DATAPREP_UTILITIES_NUMPY_ARRAY = '4ef4a58d-2a5c-4696-bddd-6d8e9b647d36'
    _DATAPREP_UTILITIES_PANDAS_DATAFRAME = 'c021c0cc-f77b-46b5-874d-c71fea2d3141'
    _DATA_PREPARER_X_IS_NONE = '2185b19d-4169-4ccc-b04e-27e5e2b8131b'
    _DATA_SCRIPT_INTERNAL_ERROR = 'ef53b8d3-6826-4c74-baf9-94c5d048bf2f'
    _DATA_TRANSFORMATION_INVALID_PARAM_DICT = 'fc765f61-ca62-45fd-9499-3e47b10c3c3b'
    _DATA_TRANSFORMATION_INVALID_TIME_COL_NAME = 'fc765f61-ca62-45fd-9499-3e47b10c3c3c'
    _DATA_TRANSFORMATION_INVALID_Y = 'fc765f61-ca62-45fd-9499-3e47b10c3c3d'
    _DATA_TRANSFORMATION_TEST_EMPTY = 'f3b3b706-88e8-11ea-ad0b-04d3b0c6010a'
    _DATA_TRANSFORMATION_TEST_EMPTY_TS = '04504092-88e9-11ea-bdbb-04d3b0c6010a'
    _DATA_TRANSFORMATION_TRAIN_EMPTY = '54d3ceae-88e9-11ea-9dbf-04d3b0c6010a'
    _DATA_TRANSFORMATION_TS_INSUFFICIENT_DATA = '680e0f40-88e9-11ea-9cbd-04d3b0c6010a'
    _DATA_TRANSFORMER_FIT_DATAFRAME_MAPPER_MEMORYERROR = 'c1e2ee85-4897-4592-96aa-0af6c973fa73'
    _DATA_TRANSFORMER_FIT_FEATCONFIG_NONE = 'f8f6f52c-1428-471f-a45c-b3f3cb94df1f'
    _DATA_TRANSFORMER_FIT_LEARNED = '12a3d255-3f02-4b90-8530-eb3e423e16b8'
    _DATA_TRANSFORMER_FIT_MAPPER_MEMORYERROR = '6eee1b69-dad5-47fe-90c5-c9c00f786b77'
    _DATA_TRANSFORMER_FIT_ONNX_COMPATIBLE = '047144e8-fc4a-4fc7-bf6c-0f1ac863ac9f'
    _DATA_TRANSFORMER_FIT_RERUN = '464c165a-3621-4e5a-a154-717a3cf70ab8'
    _DATA_TRANSFORMER_TRANSFORMER_PARAM_ERROR = 'bbd9959e-12fb-4fc1-8c67-817b9d06c2a3'
    _DATA_TRANSFORMER_TRANSFORM_MEMORYERROR = '007e3d99-0617-411a-8b26-945aa5a2f659'
    _DATA_TRANSFORMER_TRANSFROM_COLUMN_NOT_FOUND = '17049f70-3bbe-4060-a63f-f06590e784e5'
    _DATA_TRANSFORMER_TRANSFROM_LEARNED = 'e5bbc77b-2264-418d-bdb3-39ea0f09eae8'
    _DATA_TRANSFORMER_TRANSFROM_NOT_CALL_FIT = '8065bc46-e60a-446b-bcce-c60312b1cc77'
    _DATA_TRANSFORMER_TRANSFROM_NO_FEATURE = 'f3f6df01-33a4-4377-b55f-8c8a1bb313ce'
    _DATA_TRANSFORMER_TRANSFROM_WRONG_COLUMN = 'c402b6c2-3870-45a7-8745-c063bd385962'
    _DATA_TRANSFORMER_TRANSFROM_WRONG_COLUMN_TYPE = '12a63508-2006-4da3-bfe8-b3520063deef'
    _DATA_TRANSFORMER_UNKNOWN_TASK = '43f4e592-4e41-4ab1-8f01-ad1c3f3fde17'
    _DEFAULT_CACHE_STORE_INACCESSIBLE = '5407dfb8-9b3c-4d5e-82e5-78bbf13960bc'
    _DEFAULT_CACHE_STORE_INACCESSIBLE_UNAUTHORIZED = '40c003b8-cb3b-41b6-9f44-755c42916c5c'
    _DELETE_FILE_BATCH_PERMISSION_ERROR = '48108f12-654c-46f8-aaa9-1bbd737b88b3'
    _DELETE_FILE_PERMISSION_ERROR = '25121444-309a-47d8-94f5-28fe4189d47f'
    _DISK_BASED_SPARSE_COMBINER_EXCEPTION = '9c9073fa-a0bc-4052-bb8e-65295dc107c4'
    _DISK_BASED_SPARSE_COMBINER_MEMORY = '1cadd078-51b2-43a9-88a3-011d5f7951e8'
    _DIST_DATA_PREP_INCONSISTENT_FREQUENCY = '9430e468-4899-4150-8ec3-857ff89182ed'
    _DIST_DATA_PREP_MULTI_FREQUENCIES_DIFF = '9d09362c-d0af-4a27-9570-e673a5692cd7'
    _DIST_FORECASTING_MISSING_GRAIN = 'ae46f6e4-772c-40bb-9bed-3d4529810416'
    _DNN_NLP_EMPTY_DATASET_ID = '5d5199ce-7578-4c28-9aab-72d24d93dc23'
    _DOWNLOAD_FAILED_WITH_DISK_FULL = '85fc9d3f-c6db-4fbb-ae31-d5d3f04e5cbf'
    _DOWNLOAD_FAILED_WITH_MEMORY_ERROR = '6ad07b73-8df9-4dc2-9a61-1b82855529aa'
    _EMBEDDING_PROVIDER_INIT = '691666fb-c985-4b5c-ac43-37e01972d441'
    _ENGINEERED_FEATURE_DATETIME_UNSUPPORTED_INDEX = '72a163fd-7cb4-4694-877a-14995cb16f9b'
    _ENGINEERED_FEATURE_ENCODE_TRANSFOREMER_NOT_FOUND = '6681d98c-a7e0-4acc-9fb6-84e9801caba3'
    _ENGINEERED_FEATURE_GET_RAW_FEATURETYPE_EMPTY = '7bc90c9f-6487-4a05-913d-b4428fdfd4d9'
    _ENGINEERED_FEATURE_GET_RAW_FEATURETYPE_NOT_FOUND = '8e16b0f6-ec12-4d55-a1c0-1aac789de5da'
    _ENGINEERED_FEATURE_GET_TRANSFORMER_NONE = '32310558-5db3-4b74-908c-4adce717d56a'
    _ENGINEERED_FEATURE_GET_TRANSFORMER_NOT_INT = 'e9cb0292-2c8f-4145-ae77-c7c43d258e8e'
    _ENGINEERED_FEATURE_INVALID_COLUMN_PURPOSE = '0f223e2a-3b4f-4ab2-a3d8-fe8a89f8574c'
    _ENGINEERED_FEATURE_INVALID_TYPE_FOR_COLUMNS = 'd0f8df09-9a8f-4be4-84a4-c63721015ae9'
    _ENGINEERED_FEATURE_INVALID_TYPE_FOR_TRANSFORMERS = 'fb7eb4e7-c859-4ddf-b88e-2dd86019eb40'
    _ENGINEERED_FEATURE_PARSE_RAW_NAMES_RAW = '9553e765-d7f0-43b1-adf3-0ca8ded03c3c'
    _ENGINEERED_FEATURE_PARSE_RAW_NAMES_TRANSFORMED = '48c86cae-204b-42ee-bb55-8f333dde2b96'
    _ENGINEERED_FEATURE_UNEXPECTED_TYPE = '3f4ed028-d7af-48d8-9811-963b481c67ad'
    _ENGINEERED_FEATURE_VALIDATE_JSON_INVALID_TAG = 'f878fa28-cae6-4279-9b87-4162dab97d5c'
    _ENGINEERED_FEATURE_VALIDATE_JSON_NONE_JSON = '2d7c306f-9ddb-42c7-83e8-fbc455abdbbd'
    _ENSEMBLE_SELECTOR_INVALID_CLASS_LABELS = '2f825044-485a-4409-b5f2-d8c0d83ac0f1'
    _ENSEMBLE_SELECTOR_INVALID_METRIC = '4a5f8be7-ba49-45c0-8983-b7f58380a907'
    _ENSEMBLE_SELECTOR_INVALID_TASK_TYPE = '813db639-f083-455a-90e2-0ccda72f08f5'
    _ENSEMBLE_SELECTOR_INVALID_TRAINING_TYPE = '58e15496-2b6f-497e-8601-ca5164a6bb0f'
    _ENSEMBLE_SELECTOR_INVALID_VALIDATION_DATA = '7d515449-7f91-4907-89e1-5be012f44ea7'
    _ENSEMBLE_SELECTOR_MISSING_TRAIN_LABELS = '91ce5acb-14b8-4a00-90e2-b1cae81e1983'
    _ENSEMBLE_SELECTOR_NULL_DATASET = '882975d5-d599-4736-a67c-cff953257628'
    _EXTRACT_DATA_FROM_COMBINED_DATAFLOW_CV_SPLIT_COLUMNS_MISSING = 'b6cd2648-c0b7-4137-b9cd-478f7c1c945c'
    _EXTRACT_DATA_FROM_COMBINED_DATAFLOW_LABEL_COLUMN_MISSING = '06328553-815b-486d-98dd-98e4c8952a7c'
    _EXTRACT_DATA_FROM_COMBINED_DATAFLOW_SAMPLE_WEIGHT_MISSING = 'a9ccfa92-9d79-427a-8af6-e9f87742c46a'
    _EXTRACT_DATA_FROM_COMBINED_DATAFRAME_CV_SPLIT_COLUMNS_MISSING = 'e9e545d5-2112-4531-a5f5-f0b3bde12a06'
    _EXTRACT_DATA_FROM_COMBINED_DATAFRAME_SAMPLE_WEIGHT_MISSING = '10869736-df0b-4b18-b67d-f13ca0ca1d0f'
    _FAULT_VERIFIER_CONFLICT = 'af21a69b-7397-401f-8fd4-4c2a8c278547'
    _FAULT_VERIFIER_NOT_EXIST = 'ec346cb7-79ad-49f1-a54b-a710e0aa4c7f'
    _FEATURIZATION_CONFIG_COLUNN_PURPOSE_DROPPED = '4d2ee336-2a77-4ba2-808b-2f29dbcb546c'
    _FEATURIZATION_CONFIG_FROM_DICT = '3c7acd30-bdcc-47e9-a2fc-83c45aaed162'
    _FEATURIZATION_CONFIG_IMPUTE_COLUMN_DROPPED = '5b6999a3-81db-47db-b29d-1b5c43ed22aa'
    _FEATURIZATION_CONFIG_INVALID_DATA_TYPE = '6818ec97-a473-47db-b29d-1b5c43ed22aa'
    _FEATURIZATION_CONFIG_INVALID_DATA_TYPE_TIMESERIES = '6818ec97-a473-47db-b29d-1b5c43ed22bb'
    _FEATURIZATION_CONFIG_MISSING_COLUMN = 'aef9782e-8d2f-4a4a-973f-9929e437f052'
    _FEATURIZATION_CONFIG_MISSING_COLUMN_NO_COLUMN = 'aef9787e-8d2f-4a4a-973f-9929e437f053'
    _FEATURIZATION_CONFIG_MISSING_IMPUTE_VALUE = 'aef9782e-8d2f-4a4a-973f-9929e437f051'
    _FEATURIZATION_CONFIG_VALIDATE_BLOCKEDLIST = 'b985faa9-58b7-4532-82ba-066cb238665c'
    _FEATURIZATION_CONFIG_VALIDATE_CUSTOMIZABLE = '6818ec97-a7c9-479e-a338-0870519ffbda'
    _FEATURIZATION_CONFIG_VALIDATE_DATASET_LANGUAGE = 'a9528ad0-85c1-11ea-9328-f06e0bd283ef'
    _FEATURIZATION_CONFIG_VALIDATE_FEATURE_TYPE = '1b8b7dc1-22b8-43ad-a473-f2ef7ae646da'
    _FEATURIZATION_CONFIG_VALIDATE_FULLSET = 'cc30899d-98fb-41e3-a24d-6dac3d68dc2a'
    _FEATURIZATION_CONFIG_WRONG_IMPUTE_VALUE = '66e78808-4ef1-11eb-9cc4-8c1645fec84b'
    _FEATURIZATION_CONFIG_WRONG_TRANSFORMER_TYPE_FORECASTING = '66e78808-4ef1-11eb-9cc4-6dac3d68dc2a'
    _FEATURIZATION_PHASE_MISSING_TDCTX = 'bace52e1-2e67-440c-81b7-94faaa60a032'
    _FEATURIZER_GET_TRANSFORMER_INVALID_ID = '695bcfe1-c55e-480d-a499-b629bad7c191'
    _FEATURIZER_GET_TRANSFORMER_INVALID_TYPE = '867d49ca-8a9a-4022-90d2-b3a0816f5f52'
    _FEATURIZER_GET_TRANSFORMER_NOT_CALLABLE = '61751b8c-16b8-4051-817e-d83e96dba09f'
    _FIT_PIPELINE_ARTIFACT_BATCH_SAVE = '932614ee-ceb4-48d2-940f-971ad8e2f3d7'
    _FIT_PIPELINE_CREATE_CONDA_ENV_FILE = '094b6fa7-9a35-47ee-97bb-1bc55f8189a3'
    _FIT_PIPELINE_DATASET_GET_RAW_DATA_TYPE = '02a79762-42ed-42f7-910f-99fc16e3c437'
    _FIT_PIPELINE_DATASET_NONE = '5b52c28e-cf26-4b45-a1eb-84abaacb6271'
    _FIT_PIPELINE_DATASET_REQS_NONE = '7612e18f-c313-40e4-9b2f-4bd20587dbc2'
    _FIT_PIPELINE_EXPERIMENT_TIMEOUT = '46134c91-5cc8-4391-ba5c-fce6dd56538e'
    _FIT_PIPELINE_EXPERIMENT_TIMEOUT_CLAMPED_ITERATION_TIMEOUT = '82a82b68-61d5-4982-a2d7-84a7dd8c2e3f'
    _FIT_PIPELINE_GET_SCORE = '5ecc75c2-008b-495f-b931-4768dcd46dd0'
    _FIT_PIPELINE_GET_SCORING_FILE = 'd47449f8-ec0a-49b9-97f5-2c7bc3c87835'
    _FIT_PIPELINE_ITERATION_TIMEOUT = '38c87f24-9d37-46b1-813c-2be80962a2ba'
    _FIT_PIPELINE_SAVE_ARTIFACT = '2acb1d97-529e-4fcd-b43c-05279667414f'
    _FIT_PIPELINE_TRANSFORM_PIPELINE_GRAPH = '73ebdb37-6d6b-4eb0-be23-14a1e90e80e9'
    _FORECASTING_COLUMN_IS_NAN = 'be2715a6-febc-11ea-ab92-04d3b0c6010a'
    _FORECASTING_CONTEXT_AT_END_OF_Y = '2388ac91-3191-4faf-97e3-7bc25f990a40'
    _FORECASTING_CONVERT_INVALID_VALUE = '99a998b0-676d-11eb-b3a1-04d3b0c6010a'
    _FORECASTING_CONVERT_INVALID_VALUE_EV = '1fbc266e-75fa-11eb-b830-04d3b0c6010a'
    _FORECASTING_DATA_NOT_CONTIGUOUS = '21bc5bfa-feba-11ea-8369-04d3b0c6010a'
    _FORECASTING_DATA_SHAPE_MISMATCH = 'e2d0b340-c980-11eb-b919-04d3b0c6010a'
    _FORECASTING_DISTRIBUTED_NO_TARGET = 'f07c95c6-dc83-11ec-b414-8c1645fec84b'
    _FORECASTING_DISTRIBUTED_WRONG_INDICATOR_TYPE = '3efad65c-435d-11ed-8349-8c1645fec84b'
    _FORECASTING_EMPTY_AGGREGATION = 'e81a939a-6b55-11eb-81bb-04d3b0c6010a'
    _FORECASTING_EXTENSION_DATES_MISALIGN = '2aeaab96-5421-4247-ae6a-7ea3eb70e7ff'
    _FORECASTING_EXTENSION_HAS_NAN = '4a16edd3-5fd0-4a94-8114-3e22b77eb2b4'
    _FORECASTING_FEATURIZATION_CONFIG_TARGET_AGG_NOT_SUPPORTED = 'be2215a6-febc-11ea-ab92-9fc6978ec5dd'
    _FORECASTING_FIT_NOT_SUPPORT = '044619c5-338f-4a6b-9d59-9fc6978ec5dd'
    _FORECASTING_HORIZON_INVALID = '8f4ec7e2-07ff-11eb-9663-04d3b0c6010a'
    _FORECASTING_HORIZON_INVALID_WITH_TIMECOLUMN_VALUES = '8f4ec7e2-07ff-11eb-9663-abc1b0c6010a'
    _FORECASTING_INSUFFICIENT_DATA = 'bd51fc28-ca1e-11eb-8acb-04d3b0c6010a'
    _FORECASTING_MODELS_ARIMAX_EXTENSION_MISSING_COLUMNS = '1a4f5cdf-254c-4de0-a5f8-cca8ef8d7fdb'
    _FORECASTING_MODELS_ARIMA_NO_MODEL = '6e76a152-61d1-11eb-9db3-70bc107e528e'
    _FORECASTING_MODELS_EXPOSMOOTHING_NO_MODEL = 'f34a040c-c642-46de-ac03-cec44a07ce4d'
    _FORECASTING_MODELS_IMPORT = '8787e3c8-cdef-11ea-833b-04d3b0c6010a'
    _FORECASTING_MODELS_MEM_CPU_CNT = 'e5800222-ba42-11ea-88b1-04d3b0c6010a'
    _FORECASTING_MODELS_MEM_FIT = 'cfab9c06-ba42-11ea-8d92-04d3b0c6010a'
    _FORECASTING_MODELS_OLD_SDK = '35793f78-ba42-4062-9fc0-04d3b0c6010a'
    _FORECASTING_NOTHING_TO_PREDICT = '0fb9f636-feba-11ea-8f7a-04d3b0c6010a'
    _FORECASTING_NO_DATA_CONTEXT = '6f772f24-febc-11ea-ae51-04d3b0c6010a'
    _FORECASTING_PARAM_AGG_FUN = '35793f78-14a4-11eb-a75c-04d3b0c6010a'
    _FORECASTING_PARAM_CV_STEP_SIZE_INVALID_TYPE = '45cd4009-d417-4d2b-9cb9-8c568c7b1dce'
    _FORECASTING_PARAM_CV_STEP_SIZE_OUT_OF_RANGE = '91e381e1-9fc0-4062-bda5-10babbd8cd14'
    _FORECASTING_PARAM_DROP_COLUMN_NOT_STR = '6f772f24-febc-11ea-ae51-04787b55528d'
    _FORECASTING_PARAM_DROP_COLUMN_NOT_STR_LIST = '6f772f24-febc-11ea-ae51-879011ef009d'
    _FORECASTING_PARAM_FEATURE_LAGS_INVALID_TYPE = '8a6adaf6-4071-4bf1-8853-879011ef009d'
    _FORECASTING_PARAM_FREQ_TYPE = 'f6e8bf9c-ac20-11ea-a491-04d3b0c6010a'
    _FORECASTING_PARAM_HORIZON_INVALID_TYPE = '1272ccc4-f1cd-42ec-bd8f-879011ef009d'
    _FORECASTING_PARAM_ID_COL_NAMES_INVALID_TYPE = '984972f6-ada3-4682-af91-d1daa9a93df7'
    _FORECASTING_PARAM_ID_COL_NAMES_LIST_INVALID_TYPE = 'a5b7565d-66c6-43e3-b4ae-9a87b13900b9'
    _FORECASTING_PARAM_SEASONALITY_INVALID_TYPE = '3ed719c0-2395-44a7-919a-72e4ee612c0a'
    _FORECASTING_PARAM_SEASONALITY_OUT_OF_RANGE = 'cb0f53f5-5793-429d-8be8-fe14084d13c5'
    _FORECASTING_PARAM_SHORT_GRAIN_CFG_INVALID = 'ea867a5a-f2c9-11ea-b6b7-04d3b0c6010a'
    _FORECASTING_PARAM_SHORT_GRAIN_HANDLING_INVALID = '150f489a-08bf-11eb-b89d-04d3b0c6010a'
    _FORECASTING_PARAM_TARGET_LAG_LIST_INVALID_TYPE = '210bce89-6ed3-4d11-9666-bc78bbb1a4f6'
    _FORECASTING_PARAM_TARGET_LAG_NOT_SUPPORTED = '0587bff4-42cc-43a8-a4a9-cbd52bb9b1be'
    _FORECASTING_PARAM_TARGET_LAG_OUT_OF_RANGE = '9c7a19f2-263b-4f38-b141-c81f427c6fea'
    _FORECASTING_PARAM_TARGET_ROLLING_WINDOW_SIZE_INVALID_TYPE = '9c30d9f7-01e3-468b-a887-5a8bcea0fabf'
    _FORECASTING_PARAM_TIME_COLUMN_MISSING = '51c61deb-adeb-43a2-b7ca-217da12f0b48'
    _FORECASTING_PARAM_USER_FREQ = '58d1109c-1579-11eb-9703-04d3b0c6010a'
    _FORECASTING_PARAM_USER_FREQ_DISTRIBUTED = 'b1cc6154-3ba0-43dc-8de5-25dfa4d6b470'
    _FORECASTING_PIPELINE_ADD_STEP = '71441afe-7dca-11ea-99d7-04d3b0c6010a'
    _FORECASTING_PIPELINE_EMPTY = 'cbc2a83e-7b71-11ea-b4fd-04d3b0c6010a'
    _FORECASTING_PIPELINE_FIT_FAILURE = 'cbc2a83e-7b71-11ea-b4fd-04d3b0c6010n'
    _FORECASTING_PIPELINE_INVALID_OP = '12e294e8-7b81-11ea-a29f-04d3b0c6010a'
    _FORECASTING_PIPELINE_INVALID_TYPE = '40933964-7b7d-11ea-aa1e-04d3b0c6010a'
    _FORECASTING_PIPELINE_INVALID_VALUE = 'f5c25e86-7b7c-11ea-b984-04d3b0c6010a'
    _FORECASTING_PIPELINE_NO_FINAL_STEP = '669b4252-7b84-11ea-9355-04d3b0c6010a'
    _FORECASTING_PREDICT_NOT_SUPPORT = 'ea867a5a-7b84-11ea-9355-04d3b0c6010a'
    _FORECASTING_PREPROCESS_INVALID_VALUE = '49b7415a-c966-11eb-8b37-04d3b0c6010a'
    _FORECASTING_QUANTILES_CONVERT_INVALID_VALUE = '1486ff64-676f-11eb-a16a-04d3b0c6010a'
    _FORECASTING_SERIES_NOT_IN_TRAIN = 'c9c6a7f2-43a7-455a-a51e-2d7fb5aaf4e7'
    _FORECASTING_SPLIT = 'e5a1b10f-91e1-11ed-b727-3c52825a9bd1'
    _FORECASTING_STL_NO_MODEL = '3d619d88-7f74-11ea-add3-04d3b0c6010a'
    _FORECASTING_TS_UTILS_NO_TGT = '1af2d3d4-0056-11ec-9444-8c1645fec84b'
    _FORECAST_FAILED_TO_GET_REF_VAL_CROSS_VALID = '0727c2cd-12a1-444d-9d6a-4a9e72410b2g'
    _FORECAST_FAILED_TO_GET_REF_VAL_TRAIN_FULL = '0727c2cd-12a1-444d-9d6a-4a9e72410b2h'
    _FORECAST_FAILED_TO_STATIONARY_FEATURIZER = '0727c2cd-12a1-444d-9d6a-4a9e72410b2j'
    _FORECAST_PRED_DATA_TIMES_MISALIGNED = '0727c2cd-12a1-444d-9d6a-4a9e72410b2f'
    _FREQUENCY_AGGREGATION_CONVERT_INVALID_VALUE = 'e8b9ee02-399f-11eb-b585-04d3b0c6010a'
    _FREQUENCY_AGGREGATION_NUMBER_X_CONVERSION = '84f70358-3f48-11eb-ac2e-04d3b0c6010a'
    _FREQUENCY_AGGREGATION_NUMBER_Y_CONVERSION = '9129d0e4-3f48-11eb-b279-04d3b0c6010a'
    _FREQUENCY_FIXER_CONVERT_COLUMN_NOT_FOUND = '02c548da-2c6d-49ca-872f-9d04366f9932'
    _FREQUENCY_FIXER_CONVERT_INVALID_VALUE = '74014875-017a-4d4c-8617-b149c39cefe7'
    _FREQUENCY_FIXER_FREQUENCY_INVALID = '5bb15368-9e7f-11ed-9bd5-8c1645fec84b'
    _HTS_ALLOCATION_NOT_FOUND_NODE = '9c7a19f2-017a-4f38-b141-bc78bbb1a4f6'
    _HTS_ALLOCATION_NOT_FOUND_NODE_TOP_LEVEL = '9c7a19f2-017a-4f38-b141-b149c39cefe7'
    _HTS_CAT_COL_EXCLUDED = '8b7c7bfc-5de4-420d-8114-d9803e170f65'
    _HTS_COLUMN_HASH_TYPE_ERROR = '7612e18f-4f38-40e4-4621-0dadfa83db85'
    _HTS_DATASET_NOT_SUPPORTED = '70933964-4f38-40e4-4621-0dadfa83db85'
    _HTS_DROP_COLUMNS_CONTAINS_LABEL = '74014875-017a-4d4c-8617-04d3b0c6010a'
    _HTS_FORECAST_PARALLEL_GET_MODEL_IMPORT_ERROR = 'cbc2a83e-4d4c-017a-b4fd-04d3b0c6010a'
    _HTS_FORECAST_PARALLEL_GET_MODEL_INDEX_ERROR = 'cbc2a83e-4d4c-11ea-b4fd-04d3b0c6010a'
    _HTS_FORECAST_PARALLEL_INCONSISTENT_DATA = '12e294e8-4d4c-4f38-b141-9d04366f9932'
    _HTS_GRAPH_ADDING_NOT_LEAF_NODE = '12e294e8-017a-4f38-b141-9d04366f9932'
    _HTS_GRAPH_DUPLICATED_NODES = '0ff934b8-9cc6-4f38-b141-9d04366f9932'
    _HTS_GRAPH_FORECASTING_LEVEL_NOT_IN_HIERARCHY = 'cbc2a83e-017a-4f38-b141-9d04366f9932'
    _HTS_GRAPH_GET_LEAF_NODES_BY_NODE = '9c7a19f2-017a-4f38-b141-9d04366f9932'
    _HTS_GRAPH_GET_NODE_DF_NOT_NONE = '9c7a19f2-017a-4f38-b141-c81f427c6fea'
    _HTS_GRAPH_GET_NODE_NAME_LIST_NOT_NONE = '9c7a19f2-017a-4f38-8617-c81f427c6fea'
    _HTS_GRAPH_SERIALIZE_EMPTY_ROOT = '74014875-017a-11ea-8617-04d3b0c6010a'
    _HTS_GRAPH_UPDATE_LEAF_EMPTY_ROOT = '74014875-7b81-11ea-8617-04d3b0c6010a'
    _HTS_GRAPH_VALIDATE_GRAPH_DEPTH_ERROR = '3d619d88-017a-11ea-4d4c-960c4155a507'
    _HTS_HASH_VOCABULARY_UNEXPECTED_KEYS = '3d619d88-017a-11ea-8617-04d3b0c6010m'
    _HTS_HIERARCHY_CONTAINS_DROP_COLUMN = '3d619d88-017a-11ea-add3-04d3b0c6010a'
    _HTS_HIERARCHY_CONTAINS_LABEL_COLUMN = '74014875-017a-4d4c-8617-9d04366f9932'
    _HTS_HIERARCHY_CONTAINS_TIMESERIES_ID_COLUMN = '74014875-017a-4d4c-add3-04d3b0c6010a'
    _HTS_HIERARCHY_CONTAINS_TIME_COLUMN = '0ff934b8-017a-11ea-add3-04d3b0c6010a'
    _HTS_HIERARCHY_DUPLICATED = 'aeddf400-7b7d-4621-b432-960c4155a507'
    _HTS_HIERARCHY_EMPTY = '74014875-017a-4d4c-add3-b149c39cefe7'
    _HTS_HIERARCHY_NOT_FOUND = 'aeddf400-017a-4d4c-8617-960c4155a507'
    _HTS_ID_COLUMNS_CONTAINS_LABEL = 'aeddf400-7f74-11ea-add3-04d3b0c6010a'
    _HTS_ID_COLUMNS_NOT_FOUND = '46744b94-ac02-11ea-8000-04d3b0c6010a'
    _HTS_INVALID_FILE_DATASET = '46744b95-11ea-11ea-8000-50fb25c123e1'
    _HTS_LABEL_NOT_FOUND = '46744b94-6ec4-11ea-9cc6-b149c39cefe7'
    _HTS_NODE_COLUMNS_INFO_TYPE_ERROR = '7612e18f-42de-40e4-4621-2f29dbcb546c'
    _HTS_NODE_CONFLICTS = 'aeddf400-017a-4d4c-8617-b149c39cefe7'
    _HTS_NO_ARGUMENT_PROVIDED = 'aeddf400-a70a-11eb-9ffa-960c4155a507'
    _HTS_NO_EXPLAINABLE_MODELS_ALLOWED = 'fe773524-a70a-11eb-9ffa-8c1645fec84b'
    _HTS_NO_EXPLANATION = '35fdd718-8c58-11eb-b6d4-04d3b0c6010a'
    _HTS_NO_EXPLANATION_DOWNLOAD = '655f0938-a2c2-11eb-bd1c-8c1645fec84b'
    _HTS_NO_TRAINING_RUN = 'aeddf400-017a-4d4c-8610-04d3b0c6010a'
    _HTS_PRE_PROPORTIONS_DATA_FROM_MULTIPLE_GROUP = 'aeddf400-b2ec-4621-42e4-960c4155a507'
    _HTS_PRE_PROPORTIONS_EMPTY_DATA = '7612e18f-4621-40e4-9b2f-960c4155a507'
    _HTS_RUNTIME_EMPTY_STATUS_RECORDS = '7612e18f-42de-40e4-9b2f-d4ac04782ae0'
    _HTS_RUNTIME_STATUS_RECORDS_SYSTEM_ERROR = '7612e18f-42de-40e4-9b2f-9ec2950bc1d8'
    _HTS_RUNTIME_STATUS_RECORDS_USER_ERROR = '7612e18f-42de-40e4-4621-960c4155a507'
    _HTS_STATUS_RECORD_SUCCESS_WITH_ERROR = '7612e18f-4621-40e4-9b2f-b932aeef318b'
    _HTS_STATUS_TYPE_ERROR = '5ef082a8-7f74-11ea-b391-04d3b0c6010a'
    _HTS_TIME_COLUMN_IS_LABEL = 'aeddf400-b2ec-4621-42e4-04d3b0c6010a'
    _HTS_TIME_COLUMN_NOT_FOUND = '74014875-6ec4-11ea-9cc6-b149c39cefe7'
    _HTS_TRAINING_LEVEL_EMPTY = '282760ec-1a31-42e4-42e4-b932aeef318b'
    _HTS_TRAINING_LEVEL_NOT_FOUND = '282760ec-b2ec-42e4-42e4-b932aeef318b'
    _INCOMPATIBLE_DEPENDENCY_PANDAS_VERSION = 'aeddf400-b2ec-4621-b432-960c4155a507'
    _INCOMPATIBLE_DEPENDENCY_SCIKIT_VERSION = '282760ec-1a31-42e4-b940-b932aeef318b'
    _INCOMPATIBLE_DEPENDENCY_XGBOOST_VERSION = '910310e6-2433-40cd-b597-9ec2950bc1d8'
    _INCOMPATIBLE_DEPENDENCY_XGBOOST_VERSION_GPU = 'e6984398-97a6-4fb3-9121-fb0487754ce8'
    _INDISTINCT_LABEL_COLUMN_IN_DATAFLOW = '21e7224b-fb15-42de-ac1c-85f10798911d'
    _LAGGING_TRANSFORMER_INSUFFICIENT_DATA = 'bee79c15-71d1-4e6c-a442-670f145cbda9'
    _LAG_LEAD_COLUMN_EXISTS = '3c5a86b6-6ec7-11ea-bc6b-04d3b0c6010a'
    _LAG_LEAD_COLUMN_TYPE = '46744b94-6ec4-11ea-9cc6-04d3b0c6010a'
    _LAG_LEAD_COLUMN_TYPE_CONSTRUCT = '4ab4c5e4-6ec9-11ea-9315-04d3b0c6010a'
    _LAG_LEAD_DROPNA = '5ef082a8-6ec5-11ea-b391-04d3b0c6010a'
    _LAG_LEAD_FREQ = '84a3c9d0-fb9a-11eb-a309-8c1645fec84b'
    _LAG_LEAD_FREQ_BAD_STR = '7a564fae-fbbc-11eb-868f-8c1645fec84b'
    _LAG_LEAD_LAG_EMPTY = '379ca280-ac02-11ea-8000-04d3b0c6010a'
    _LAG_LEAD_LAG_TYPE = 'b99978e4-6ec0-11ea-9338-04d3b0c6010a'
    _LAG_LEAD_LAG_TYPE_CONSTRUCT = 'db4badc6-6ec8-11ea-98f1-04d3b0c6010a'
    _LAG_LEAD_LAG_TYPE_INT = 'ba679a64-6ec0-11ea-baa5-04d3b0c6010a'
    _LAG_LEAD_LAG_TYPE_INT_LIST = '2351f562-6ec5-11ea-a5df-04d3b0c6010a'
    _LAG_LEAD_NOT_TSDF = '758379a8-6ec9-11ea-85c6-04d3b0c6010a'
    _LAG_LEAD_NOT_TSDF_ALL = '3093ed30-6eca-11ea-ac09-04d3b0c6010a'
    _LAG_LEAD_NOT_TSDF_CACHE = '8603c7f6-6ecf-11ea-a0b0-04d3b0c6010a'
    _LAG_LEAD_NO_FIT = 'a070c82e-6ed0-11ea-b6cf-04d3b0c6010a'
    _LAG_LEAD_NO_HORIZON = 'ae9a8422-6ecc-11ea-99de-04d3b0c6010a'
    _LAG_LEAD_NO_HORIZON_ALL = '4a57d9e8-6ece-11ea-8926-04d3b0c6010a'
    _LAG_LEAD_NO_ORIGIN = 'cf5f2354-6ec9-11ea-9832-04d3b0c6010a'
    _LAG_LEAD_NO_ORIGIN_ALL = '947ed5a4-6eca-11ea-89bc-04d3b0c6010a'
    _LAG_LEAD_ORIGIN = 'd4aeec00-6ec5-11ea-bf39-04d3b0c6010a'
    _LAG_LEAD_OVERWRITE_COL = '22a2eec2-6ec6-11ea-bfd7-04d3b0c6010a'
    _LAZY_TABULAR_DATA_GENERIC = 'fdcf282c-e920-4ea6-8514-f2f5fc7bfc58'
    _LOAD_MODEL_PATH_BAD_VALUE = 'fe4c703b-7b6b-419d-8aac-f8fdc3ada832'
    _LOAD_MODEL_PATH_NOT_FILE_OR_NOT_FOUND = '18dd210d-a3bf-4f71-b206-7f1732df8af6'
    _LOCAL_MANAGED_INTERNAL_ERROR = '0091c447-ef63-4719-8d1f-ea74c66b28d5'
    _MANAGED_ENVIRONMENT_CORRUPTED = 'dd829f6a-f1d3-4e2d-ba98-3b5c07829ffd'
    _MANY_MODELS_WRONG_DRIVER_TYPE = 'dd829f6a-f1d3-4e2d-ba98-7f1732df8af6'
    _MATERIALIZED_TABULAR_DATA_GENERIC = 'b7440909-05a8-4220-b927-9fcb43fbf939'
    _METRIC_INVALID_CLASSIFICATION_METRIC = '18de46ec-dd4d-4def-bbbb-7d77b43a8ba0'
    _METRIC_INVALID_FORECASTING_METRIC = '6a88520a-70c3-4b11-9f81-1daf6d99928d'
    _METRIC_INVALID_REGRESSION_METRIC = '547934af-dbe6-4d12-83be-6c48df48fbf0'
    _METRIC_VALIDATION_EXTRANEOUS_TRAIN_LABELS = 'd1014174-dd4e-4b25-9d6f-d975898e8295'
    _METRIC_VALIDATION_EXTRANEOUS_YTEST_LABELS = 'a11040a0-6f05-4e23-b203-1a8dd9d10f81'
    _MISSING_OPTIONAL_DEPENDENCY_FBPROPHET = '96d9e0cc-d92f-45a4-b9eb-8bc8f7b6fe98'
    _MISSING_OPTIONAL_DEPENDENCY_PANDAS_VERSION = 'acdcf4a6-1d70-479b-9303-b57cb2869f6e'
    _MISSING_OPTIONAL_DEPENDENCY_SCIKIT_VERSION = '6e6807fd-02ac-4114-baf6-8e4019eb0c8b'
    _MISSING_OPTIONAL_DEPENDENCY_XGBOOST = 'c520b52d-f8ca-4236-ab93-118b9ae3173c'
    _MODEL_EXPLAIN_FEATURE_MAP_ENGINEERED_FEATURE_NAMES_LENGTH_MISMATCH_EXCEPTION = \
        '93dad1e5-39e6-48d8-88b8-838713403fd1'
    _MODEL_EXPLAIN_FEATURE_MAP_RAW_FEATURE_NAMES_LENGTH_MISMATCH_EXCEPTION = \
        '2f6fba06-f923-11ea-bead-40b034461ff6'
    _MODEL_EXPLAIN_INSUFFICIENT_CHILD_RUN_METRICS = '0d2066af-5033-48a0-8c18-7cb8d514ad56'
    _MODEL_EXPLAIN_MISSING_DEPENDENCY_EXCEPTION = '0ff934b8-1db4-4670-8576-f3ffcd8def1c'
    _MODEL_EXPLAIN_TEST_ENGINEERED_FEATURES_AND_FEATURE_NAMES_MISMATCH_EXCEPTION = \
        '34131966-d766-45f4-8710-2b9a2089a4eb'
    _MODEL_EXPLAIN_TEST_RAW_FEATURES_AND_FEATURE_NAMES_MISMATCH_EXCEPTION = \
        '26e71092-f0b1-11eb-919a-f01dbc9dcda2'
    _MODEL_EXPLAIN_TRAIN_ENGINEERED_FEATURES_AND_FEATURE_NAMES_MISMATCH_EXCEPTION = \
        'd33e4b6e-f922-11ea-9f46-40b034461ff6'
    _MODEL_EXPLAIN_UNSUPPORTED_MODELS_EXCEPTION = '44749fa8-8cd8-4fbe-b121-87dcd9074220'
    _MODEL_NOT_SUPPORTED = '71327a22-6cbb-11eb-97fc-04d3b0c6010a'
    _MULTIGRAIN_FIT_EXCEPTION = "2b9c1040-7113-11ed-9bc8-3c52825a9bd1"
    _MULTIGRAIN_TERMINATED_WORKER = "0b0ae09e-7113-11ed-b035-3c52825a9bd1"
    _NER_DUPLICATE_DATASET_ID = '1785cbea-7eea-4ae6-a7cf-bcb9c2235ec7'
    _NEW_COLUMN_GENERATION_ATLEAST_ONE_COLUMN_EXPECTED = '3f9698bc-cdd3-4b1f-8f39-5fcdc5139380'
    _NIMBUS_FIT = '400dc166-37ee-417e-8878-02a2f581b8a6'
    _NIMBUS_INIT_WRONG_FEATURIZER_TYPE = '2442d0bc-5814-4989-8ecb-3fbb4eb2e40d'
    _NIMBUS_INIT_WRONG_LEANER_TYPE = 'fdcdf992-9ba2-4730-a513-b09b11f0bbb6'
    _NIMBUS_PREDICT_PROBA = '5661741d-9698-42b9-8044-5e68f0df911b'
    _NIMBUS_TRANSFORM = '766962c5-1c8a-4f69-9272-487f90b8f310'
    _NOT_CV_SCENARIO = '3c1a9c78-9613-4b17-905b-c3d2515c1fa9'
    _NUMERICALIZE_TRANSFORMER_CONLFICT_COL = 'ef41c6ed-7187-4304-93b9-383809b73fe4'
    _NUMERICALIZE_TRANSFORMER_NOT_FITTED = '4ad870f2-63a1-4494-924f-92701b151a45'
    _N_CROSS_VALIDATIONS_INVALID_TYPE = '7b65c6c8-ea4c-4b06-a529-3e29c5444725'
    _OPERATION_FAILED_MEMORYERROR = '791a2bd3-4812-407f-91f7-1f8a5a0b0f5a'
    _OPERATION_FAILED_MEMORYERROR_SUBPROCESS = '8e1eb142-6e58-4d39-aa84-77453cb543ac'
    _PACKAGE_INCOMPATIBILITIES_FOUND = '435ab938-fd87-49bc-932e-6eec0d6aee4f'
    _PACKAGE_INCOMPATIBILITIES_FOUND_ADB = 'd1603388-bf0a-49b8-ae3e-730739491707'
    _PAD_PREDICTIONS_MEMORYERROR = '3c84a08a-11f5-4a37-9dbf-09c41bc2961f'
    _PIPELINE_WITH_Y_TRANSFORMATIONS_FIT = 'f9293583-f69c-49e2-b95a-38b35139ba71'
    _PIPELINE_WITH_Y_TRANSFORMATIONS_FIT_PREDICT = '06b38166-a824-4afa-97f8-63cc0f55fbe0'
    _PIPELINE_WITH_Y_TRANSFORMATIONS_PREDICT = '08fdc9b9-6ab8-4c46-9e21-da462e287594'
    _PIPELINE_WITH_Y_TRANSFORMATIONS_PREDICT_PROBA = '6bc61e6f-ec04-4b5e-9e83-a8d178a32c84'
    _RAW_EXPERIMENT_DATA_VALIDATOR_GENERIC = '8e1181fb-2b68-4f52-9da5-29974c213f47'
    _REMOTE_SCRIPT_WRONG_FREQ = '97ec227e-b675-11ea-88c5-04d3b0c6010a'
    _ROLLING_EVALUATION_NO_Y = '369237b4-febc-11ea-9e9c-04d3b0c6010a'
    _ROLLING_EVALUATION_TRAIN_TEST_GAP = '6244e7b1-b46e-4028-80a5-0fcbfd6fd344'
    _ROLLING_FORECAST_MISSING_TARGET_COLUMN = '9e52cb9d-93f6-4166-84e8-838898e29de5'
    _ROLLING_FORECAST_NO_Y = '9a5d4b26-954f-4d92-baa1-e22064a536d2'
    _ROLLING_FORECAST_TARGET_MISSING_VALUES = 'af1306d1-b527-4429-be51-8f4d4ed85946'
    _ROLLING_FORECAST_TRAIN_TEST_GAP = 'ece66089-5888-4677-8c7b-a8ab725f48aa'
    _SAMPLER_CONFIG_FROM_DICT = 'f7abe6fb-de91-420b-97ea-371a402da01b'
    _SETTINGS_AUTOARIMA_ES_PROPHET_NOT_SUPPORTED_ALLOWED = '7545951b-0a15-4d6e-ad81-99cc39418dd3'
    _SETTINGS_AUTOARIMA_ES_PROPHET_NOT_SUPPORTED_BLOCKED = '2e852f5f-ae02-4192-8e3c-056aa094a005'
    _SETTINGS_CONFIG_DROP_COLUMN_PURPOSE = '06072d0b-6014-4a8c-bc10-5b1eab7eda37'
    _SETTINGS_CONFIG_DROP_GRAIN_COLUMNS = 'e2227309-831e-4afc-b0d7-f64684418790'
    _SETTINGS_CONFIG_DROP_RESERVED_COLUMNS = 'd8f6552e-6da1-4258-800a-5b373c4e8895'
    _SETTINGS_CONFIG_DROP_TIME_COLUMN = 'ca28f453-b752-407d-8538-744692c1fe6b'
    _SETTINGS_CONFIG_IMPUTE_COLUMN_CONFLICT = '78ab8624-c22d-4699-9d97-25cd2a6c94fe'
    _SETTINGS_CONFIG_IMPUTE_COLUMN_DROPPED = '594b59a0-0fe8-43cd-b81b-d4ac04782ae0'
    _SETTINGS_CONFIG_IMPUTE_COLUMN_RESERVED = 'e4c42d58-426a-439a-af8e-ce2164fa3784'
    _SETTINGS_CONFIG_IMPUTE_TARGET_UNSUPPORT = '3d658450-af97-42b9-a54c-3e028a1305a1'
    _SHORT_GRAIN_PADDING_INVALID_DATE = 'e21a315c-d745-11ea-a705-04d3b0c6010a'
    _SHORT_GRAIN_PADDING_INVALID_DATE_GRAIN = 'a929b674-d746-11ea-b193-04d3b0c6010a'
    _SHORT_GRAIN_PADDING_INVALID_GRAIN = '869f1db6-c2e0-11ea-af80-04d3b0c6010a'
    _STACK_ENSEMBLE_TS_NOT_SUPPORTED = '119838e4-03a4-4227-b96b-a8f0ea81765a'
    _STAT_GENERATOR_FREQ_FIX = 'f0d14ba7-3c34-4567-a067-8d27ce34381a'
    _STL_GRAIN_ABSENT = 'cf2d4ce7-57ab-4a8e-9401-ff1b02019ec9'
    _STL_GRAIN_ABSENT_NONE = 'edcb9a58-f638-11eb-b9bc-04d3b0c6010a'
    _STL_INSUFFICIENT_DATA = '4f7b0863-58bc-4087-b383-4b5e04dca6a1'
    _STL_INVALID_FORECAST_DATE = '4ad70410-f638-11eb-82e0-04d3b0c6010a'
    _STL_INVALID_FORECAST_DATE_GRAIN = '527eca24-abd9-4b17-bac5-e048f93731d8'
    _STREAMING_DATA_VALIDATOR_LABEL_MISSING = 'a937d774-731a-409e-831c-a9a5ba853588'
    _STREAMING_DATA_VALIDATOR_WEIGHT_MISSING = '40224516-c210-417b-862a-5c7cf9da6241'
    _STREAMING_FEATURIZER_GET_TRANSFORMER = 'da2e9810-e5c2-40f5-8571-118720fd4a27'
    _STREAMING_INVALID_DATATYPE = 'af8b201d-f876-4a89-a229-faa6ead598c0'
    _STREAMING_INVALID_VALIDATION_DATATYPE = '4db02e89-ccf5-4dab-9f45-d9de48a7771f'
    _STREAMING_MISSING_TRAINING_DATA = '7f153279-c51d-4b5c-843a-c7c3ecafc24f'
    _SWEEPER_CONFIG_FROM_DICT = '4aed74d8-76c6-4265-84e9-7043b3652b07'
    _TARGET_ROLLING_WINDOW_SMALL = 'dd4de84c-6d4f-11ea-9a4f-3c52825a9bd1'
    _TARGET_ROLLING_WINDOW_SMALL_CLIENT = '371a016e-68ab-11ea-8b7c-3c52825a9bd1'
    _TARGET_TYPE_WRONG_CONV_TYPE = '930c0146-80d1-11ed-8449-8c1645fec84b'
    _TCN_DATASET_OFFSETS_NAN_OR_INF = 'e07253e5-07bf-11ed-8d05-3c52825a9bd1'
    _TCN_DATASET_OFFSETS_WRONG_ROWS = 'e13d8527-07c0-11ed-b6f4-3c52825a9bd1'
    _TCN_DATASET_OFFSET_Y_NAN_OR_INF = 'ec570f8e-07bf-11ed-ac86-3c52825a9bd1'
    _TCN_DATASET_SCALES_NAN_OR_INF = 'baf1eb06-07bf-11ed-ae3e-3c52825a9bd1'
    _TCN_DATASET_SCALES_NEGATIVE = 'da9dd5bf-07b9-11ed-a471-3c52825a9bd1'
    _TCN_DATASET_SCALES_OFFSETS_DIFF_SHAPE = 'dc6a88a6-07ba-11ed-9e9b-3c52825a9bd1'
    _TCN_DATASET_SCALES_WRONG_ROWS = 'f24344f9-07c0-11ed-9aa9-3c52825a9bd1'
    _TCN_DATASET_SCALE_Y_NAN_OR_INF = 'c72dfa3b-07bf-11ed-a639-3c52825a9bd1'
    _TCN_DATASET_SCALE_Y_NEGATIVE = 'e74cb7e9-07b9-11ed-a345-3c52825a9bd1'
    _TCN_DATASET_TRAIN_ITEMS_CHANGED = '80db6c61-516e-11ed-b0c4-8c1645fec84b'
    _TCN_EMBEDDING_INVALID_FACTOR = '371a016e-68ab-11ea-43cf-385e678acb65'
    _TCN_EMBEDDING_INVALID_MULTILEVEL = '371a016e-6aab-11ea-43cf-385e678aab65'
    _TCN_EMBEDDING_UNSUPPORTED_CALC_TYPE = '371a016e-68ab-11ea-43cf-385e678ac523'
    _TCN_EMPTY_LOOKBACK = '226a016e-68ab-21ea-44cf-385e678acb99'
    _TCN_EMPTY_LOOKBACK_GET_SPLIT = '232a016e-68ab-21ea-44cf-385e678acb99'
    _TCN_EMPTY_REQUIRED_PARAMETER = '371a016e-68ab-21ea-44cf-385e678acb99'
    _TCN_EMPTY_SAVE_DATA = '666a016e-68ab-21ea-44cf-385e678acb99'
    _TCN_EMPTY_SETTINGS = '555a016e-68ab-21ea-44cf-385e678acb99'
    _TCN_EXTRA_COLUMNS_IN_TEST = '096931b0-fcb2-11ec-b8c0-3c52825a9bd1'
    _TCN_FIT_UNSUPPORT = '2f402340-576f-11ec-b35a-8c1645fec84d'
    _TCN_FORECAST_DEEP_AR_NAN = '371a216e-68ab-11ea-44cf-385e678acb96'
    _TCN_FORECAST_QUANTILES_UNSUPPORT = '2f403640-523f-11ec-b35a-8c1645fec84d'
    _TCN_HD_RUN_TIMEOUT = '2f403640-5f6f-11ec-b35a-8c1645fec84b'
    _TCN_INFER_FORECAST_DESTINATION_UNSUPPORT = '2f403640-5f8f-11ec-b35a-8c1645fec84c'
    _TCN_INSUFFICIENT_DATA = '2f403640-5f6f-11ec-b35a-8c1645fec14c'
    _TCN_LOOKBACK_DATASET_NOT_SET = '371a016e-12ab-11bb-44cf-385e678acb53'
    _TCN_LOOKBACK_NOT_SET = 'de80b17c-07b2-11ed-acaf-3c52825a9bd1'
    _TCN_LOOKBACK_NOT_SET_GET_SIZE = '4d527fb2-07b3-11ed-9498-3c52825a9bd1'
    _TCN_METRICS_CALCULATION_ERROR = '371a016e-12ab-11ea-44cf-385e678acb43'
    _TCN_METRICS_CALCULATION_ERROR_EVALSET = '371a016e-12ab-11ea-44cf-385e678acb47'
    _TCN_MODEL_NON_CONVERGENT_DISTRIBUTED = 'ffa13265-34e8-11ed-a3f4-00155df26380'
    _TCN_MODEL_NOT_CONVERGENT = '371a016e-68ab-11ea-44cf-385e678acb95'
    _TCN_NOTHING_TO_PREDICT = '639c8253-73b1-4844-a051-d2627b52be95'
    _TCN_NUMERICALIZED_TS_ID_ABSENT = '26416968-7b1c-11ec-8ab2-8c1645fec84b'
    _TCN_TARGET_PRESENT = '48eadbac-7b1c-11ec-99b3-8c1645fec84b'
    _TCN_TS_ID_ABSENT = '54a98e68-7b31-11ec-b7df-8c1645fec84b'
    _TCN_WRAPPER_RUNTIME_ERROR = '639c8253-73b1-4844-a051-d2627b52be88'
    _TCN_WRAPPER_RUNTIME_ERROR_DISTRIBUTED = '64c332a8-34e9-11ed-a128-00155df26380'
    _TEXT_DNN_CONVERT = '8a729ecf-ba4a-4c70-9070-98f18687605d'
    _TEXT_DNN_FIT = '0727495d-c7cf-4339-8c07-fb8f14a3f8b2'
    _TEXT_DNN_FIT_INITIALIZE = '0a6fbcb2-5df3-44cf-b142-385e678acb95'
    _TEXT_DNN_FIT_NOT_SUPPORT = '4dc4c5ab-f426-4369-b2d0-50fb25c123e1'
    _TEXT_DNN_PROVIDER_INIT = '639c8253-73b1-4855-a050-d2627b52be95'
    _TEXT_DNN_TRANSFORM = '13cd6afa-749c-4e3f-a510-acac62ecfce6'
    _TRAINING_UTILITIES_CHECK_FREQ = '07c1b8be-ac21-11ea-ac85-04d3b0c6010a'
    _TRAINING_UTILITIES_CHECK_FREQ_FIX = '423eb60c-b674-11ea-bfd5-04d3b0c6010a'
    _TRUNCATED_SVD_WRAPPER_INIT = '818c8dcd-f39d-43d0-b595-1a369298ab5f'
    _TSDF_CANNOT_INFER_FREQ_FROM_TS_ID = 'e3512da8-49a5-453f-8fd7-2fe0d6ac8752'
    _TSDF_COL_TYPE_NOT_SUPPORTED_DROP_COLS = '405b1ace-3bde-43c9-ba33-380bfba9a8ba'
    _TSDF_COL_TYPE_NOT_SUPPORTED_EXTRACT_COL = '305b1ace-3bde-43c9-ba33-1e6bfba9c8ba'
    _TSDF_COL_TYPE_NOT_SUPPORTED_EXTRACT_COLS = '305b1ace-3bde-43c9-ba33-d96bfba9c8ba'
    _TSDF_COL_TYPE_NOT_SUPPORTED_GRAIN_COL = '305b1ace-3bde-43c9-ba33-110bfba9a8ba'
    _TSDF_COL_TYPE_NOT_SUPPORTED_GRAIN_COLS = '305b1ace-3bde-43c9-ba33-280bfba9a8ba'
    _TSDF_COL_TYPE_NOT_SUPPORTED_GROUP_COL = '305b1ace-3bde-43c9-ba33-3c0bfba9a8ba'
    _TSDF_COL_TYPE_NOT_SUPPORTED_ORI_TM_COL = '305b1ace-3bde-43c9-ba33-12abfba9a6ba'
    _TSDF_COL_TYPE_NOT_SUPPORTED_TM_COL = '305b1ace-3bde-43c9-ba33-223bfba9a6ba'
    _TSDF_COL_TYPE_NOT_SUPPORTED_TS_COL = '305b1abe-3bde-43c9-ba33-323bfba9a6ba'
    _TSDF_COL_VALUE_NOT_EQUAL_ACROSS_ORIGIN = 'dcbe8318-7f54-4716-ae52-4983150364af'
    _TSDF_DUPLICATED_INDEX = '4085d2a4-4f07-4bcf-be18-dca2f2885344'
    _TSDF_DUPLICATED_INDEX_RESET_TSIDX = '4085d2a4-4f07-4bcf-be18-cca2f2885343'
    _TSDF_DUPLICATED_INDEX_TM_COL_NAME = '7d4c3c6c-9f0f-4fbf-81e1-e60558bfab13'
    _TSDF_DUPLICATED_INDEX_TM_COL_TM_IDX_COL_NAME = '7d4c3c6c-9f0f-4fbf-81e1-d60558bfab12'
    _TSDF_DUPLICATED_INDEX_TM_COL_TM_IDX_NAT = '7d4c3c6c-9f0f-4fbf-81e1-d60558bfab13'
    _TSDF_DUPLICATED_INDEX_WITH_AUTO_TIMESERIES_ID_DETECTION = "7d4c3c6c-9f0f-4fbf-81e1-d60558bfab14"
    _TSDF_FREQUENCY_CHANGED = '12a9403f-1ac8-48e0-83fd-335b98bb9cbe'
    _TSDF_FREQUENCY_GENERIC_ERROR = '5e29403f-1ac8-48e0-83fd-81fb98bb66aa'
    _TSDF_FREQUENCY_NOT_CONSISTENT_FILL_DATETIME_GAP = '219d8673-153e-46e7-b802-19102eab0f8e'
    _TSDF_FREQUENCY_NOT_CONSISTENT_FILL_DATETIME_GAP_GRAIN = '5d667bde-85fb-11eb-a203-04d3b0c6010a'
    _TSDF_FREQUENCY_NOT_CONSISTENT_SINGLE_GRAIN = '219d8673-153e-46e7-b802-79102eab0f8f'
    _TSDF_FREQUENCY_OUT_OF_PHASE = 'e3955d62-3667-11eb-86a1-04d3b0c6010a'
    _TSDF_INDEX_VALUES_NOT_MATCH_DF = 'ced0c4cf-f9dd-4c40-8b18-5f0ffc967f27'
    _TSDF_INDEX_VALUES_NOT_MATCH_TSDF = 'ced0c4cf-f9dd-4c40-8b18-4f0ffc967f2f'
    _TSDF_INVALID_ARG_CHK_INPUT = '4680d505-87e4-4877-a855-a13c473a796c'
    _TSDF_INVALID_ARG_FC_PIPELINE_DESTINATION_AND_X_PRED = 'ac316505-87e4-4877-a855-3532473a796c'
    _TSDF_INVALID_ARG_FC_PIPELINE_DESTINATION_AND_Y_PRED = 'ac316505-87e4-4877-a855-2532473a796c'
    _TSDF_INVALID_ARG_FC_PIPELINE_FC_DES = 'ac316505-87e4-4877-a855-5532473a796c'
    _TSDF_INVALID_ARG_FC_PIPELINE_NO_DESTINATION_OR_X_PRED = 'ac316505-87e4-4877-a855-4532473a796c'
    _TSDF_INVALID_ARG_FC_PIPELINE_NO_TARGET_IN_Y_DF = 'ac316505-87e4-4877-a855-65a24c3a796b'
    _TSDF_INVALID_ARG_FC_PIPELINE_X_PRED = 'ac316505-87e4-4877-a855-7532473a796c'
    _TSDF_INVALID_ARG_FC_PIPELINE_Y_ONLY = 'ac316505-87e4-4877-a855-1532473a796c'
    _TSDF_INVALID_ARG_FC_PIPELINE_Y_PRED = 'ac316505-87e4-4877-a855-6532473a796c'
    _TSDF_INVALID_ARG_MAX_HORIZON_TP = '4680d505-87e4-4877-a855-233c473a796c'
    _TSDF_INVALID_ARG_MAX_HORIZON_TP2 = '4680d505-87e4-4877-a855-2a3c473a796c'
    _TSDF_INVALID_ARG_MAX_HORIZON_VAL = '4680d505-87e4-4877-a855-116c473a796e'
    _TSDF_INVALID_ARG_MAX_HORIZON_VAL2 = '4680d505-87e4-4877-a855-243c473a796c'
    _TSDF_INVALID_ARG_MAX_HORIZON_VAL3 = '9e85f60a-73c0-428c-9a38-807db1053601'
    _TSDF_INVALID_ARG_NO_VALIDATION_DATA = '4680d505-87e4-4877-a855-e93c473a796c'
    _TSDF_INVALID_ARG_PARAM_INCOMPATIBLE = '4680d505-87e4-4877-a855-193c473a796e'
    _TSDF_INV_VAL_CANNOT_CONVERT_TO_PD_TIME_IDX = '5657baed-7a91-4945-a671-213da8cb79a8'
    _TSDF_INV_VAL_CHK_FREQ = '3657baed-7a91-4945-a671-713da8cb79a1'
    _TSDF_INV_VAL_COLUMNS_NOT_FOUND = '6657baed-7a91-4945-a671-154da8cb79ac'
    _TSDF_INV_VAL_COL_OF_GRP_NAME_IN_TM_IDX = '8657baed-7a91-4945-a671-684da8cb7997'
    _TSDF_INV_VAL_OF_NUMBER_TYPE_IN_TEST_DATA = 'ab57baed-7a91-4945-a671-984d325b7997'
    _TSDF_INV_VAL_TM_IDX_WRONG_TYPE = '8657baed-7a91-4945-a671-984da8cb7997'
    _TSDF_MULTI_FREQUENCIES_DIFF = '2d941810-2c01-4f24-a200-dafe99e455ec'
    _TSDF_NANS_IN_GRAIN_COL = '06bc4fcc-d2aa-11ea-98b9-04d3b0c6010a'
    _TSDF_NON_NUMERIC_TGT_COL = 'bc81553c-5b02-41dd-8f40-7acf500b2ca9'
    _TSDF_TM_COL_CONTAINS_NAT_ONLY = '7bdedd1e-0cbd-11eb-9217-04d3b0c6010a'
    _TSDF_TRAINING_VALID_DATA_NOT_CONTIGUOUS = "8bdc5100-c10b-4a71-ba39-29ae270de3a9"
    _TSDF_UNIQUE_VALUE_IN_GRAIN = "9a0bca40-ee1a-11ea-ae48-c49ded19f6bd"
    _TSDF_UNSUPPORTED_TYPE_OF_LEVEL = 'c40f79c2-252b-4198-98fd-78f579235f12'
    _TSDF_WRONG_COLUMNS_IN_TEST = '33cafbc6-3aa6-11eb-b719-04d3b0c6010a'
    _TSDF_WRONG_TYPE_OF_COL = 'b999b35d-bb99-49a9-8503-36f9caf45dde'
    _TSDF_WRONG_TYPE_OF_LEVEL_VALUES = 'a5b9a1d5-3ab3-4b89-a8f0-aa669c9c0770'
    _TSDF_WRONG_TYPE_OF_TGT_COL = '274deafe-97c5-11eb-9661-04d3b0c6010a'
    _TSDF_WRONG_TYPE_OF_TIME_COL = 'efb6b4df-79e8-472d-b662-d2683bd5e80a'
    _TSDF_WRONG_TYPE_OF_TIME_COL_INDEXES = 'efb6b4df-79e8-472d-b662-e2683bd5e803'
    _TSDF_WRONG_TYPE_OF_VALUE_COL = 'b999b35d-bb99-49a9-8503-46f9caf45ddf'
    _TSDS_BOTH_Y_AND_TGT_COL_PROVIDED = '2c2ee81e-e65b-11eb-b650-04d3b0c6010a'
    _TSDS_COL_TYPE_NOT_SUPPORTED_EXTRACT_COL = 'b44fb152-e9a7-11eb-8411-04d3b0c6010a'
    _TSDS_COL_TYPE_NOT_SUPPORTED_EXTRACT_COLS = 'b944cd38-e9a7-11eb-a10a-04d3b0c6010a'
    _TSDS_COL_TYPE_NOT_SUPPORTED_GRAIN_COLS = '23fc62f4-e439-11eb-9ce9-8c1645fec84b'
    _TSDS_COL_TYPE_NOT_SUPPORTED_GROUP_COL = '3869de9e-e4c1-11eb-ad4e-04d3b0c6010a'
    _TSDS_COL_TYPE_NOT_SUPPORTED_ORI_COL = '9368cc4a-e4bf-11eb-a63a-04d3b0c6010a'
    _TSDS_COL_TYPE_NOT_SUPPORTED_TM_COL = 'cd60e40a-e4be-11eb-b1c4-04d3b0c6010a'
    _TSDS_COL_TYPE_NOT_SUPPORTED_TS_COL = '68816ee4-e4c0-11eb-99f6-04d3b0c6010a'
    _TSDS_COL_VALUE_NOT_EQUAL_ACROSS_ORIGIN = 'cc37ef42-db90-11eb-962f-04d3b0c6010a'
    _TSDS_CONCAT_COLUMNS_ERROR = 'fdae89b4-e8c5-11eb-b4d7-04d3b0c6010a'
    _TSDS_CONCAT_INDEX_ERROR = '04515b02-e8c6-11eb-9d62-04d3b0c6010a'
    _TSDS_CONTAINS_ORIGIN = '4f3b9952-ea64-11eb-8439-04d3b0c6010a'
    _TSDS_DICT_NOT_CONVERTIBLE_TO_DF = 'a0a0ab82-f6db-11eb-a294-04d3b0c6010a'
    _TSDS_DUPLICATED_INDEX = '03674ffe-e4c6-11eb-bd81-04d3b0c6010a'
    _TSDS_FREQ_BY_GRAIN_WRONG_TYPE = 'c8bcc8ba-fc53-11eb-b4ff-8c1645fec84b'
    _TSDS_INV_VAL_COLUMNS_NOT_FOUND = '32095f30-e9b0-11eb-a8d9-04d3b0c6010a'
    _TSDS_NANS_IN_GRAIN_COL = 'e533fdba-b9b9-11eb-aa3c-04d3b0c6010a'
    _TSDS_NOTGT_AND_COLUMNS_TO_EXTRACT = 'e99e9694-0047-11ec-8024-8c1645fec84b'
    _TSDS_NO_GRAIN_COLUMN = 'aba2d6a2-ce2c-11eb-9c68-04d3b0c6010a'
    _TSDS_NO_GROUP_COLUMN = '7f25334a-ce2d-11eb-9df1-04d3b0c6010a'
    _TSDS_NO_ORIGIN_COLUMN = '119e6fd4-ce1e-11eb-a9d7-04d3b0c6010a'
    _TSDS_NO_REGULAR_COLNAME_DF = 'ae3031a8-db8c-11eb-8662-04d3b0c6010a'
    _TSDS_NO_TARGET_COLUMN = 'f5bfcb3a-ce3d-11eb-9693-04d3b0c6010a'
    _TSDS_NO_TIME_COLNAME_TSDF_CHK_TM_COL = '755d21fa-ce1c-11eb-8ed6-04d3b0c6010a'
    _TSDS_PRED_DATA_FREQ_OUT_OF_PHASE = 'ac666097-9e7c-41a0-9475-8a91bb0ca75a'
    _TSDS_WRONG_TYPE_OF_ORIGIN_COL_INDEXES = 'a39742b8-d541-11eb-8ed3-04d3b0c6010a'
    _TSDS_WRONG_TYPE_OF_TIME_COL_INDEXES = 'ec8d5aec-d540-11eb-8e4a-04d3b0c6010a'
    _TSDS_WRONG_TYPE_OF_VALUE_COL = '89d3cd76-cdff-11eb-8760-04d3b0c6010a'
    _TST_ALL_GRAINS_CONTAINS_SINGLE_VAL = '2e39cd4a-9b7e-11ea-8041-04d3b0c6010a'
    _TST_AUTO_LAG_FIT_NOT_CALLED = '60f77438-9b7f-11ea-90fe-04d3b0c6010a'
    _TST_AUTO_MAX_HORIZON_FIT_NOT_CALLED = 'afedd24a-9b7f-11ea-a56d-04d3b0c6010a'
    _TST_AUTO_RW_FIT_NOT_CALLED = '81d3c5b4-9b7f-11ea-bdb6-04d3b0c6010a'
    _TST_CHECK_PHASE_FAIL = '2273f0a2-9b7f-11ea-8532-04d3b0c6010a'
    _TST_CHECK_PHASE_NO_GRAIN = 'e821cb5a-9b7e-11ea-a01a-04d3b0c6010a'
    _TST_CHECK_PHASE_NO_GRAIN_CHK_COLS = 'c821cb5a-9b7e-11ea-a01a-14d3b0c6010a'
    _TST_CHECK_PHASE_NO_GRAIN_TSDF_GRN_COLS = '2821cb5a-9b7e-11ea-a01a-2ad3b0c6010a'
    _TST_CHECK_PHASE_NO_GRAIN_TSDF_GRN_COLS_STR = '3821cb5a-9b7e-11ea-a01a-3df3b0c6010a'
    _TST_COLUMN_PURPOSE_CONVERSION_ERROR = '209eacd2-9b80-11ea-9e0a-04d3b0c6010a'
    _TST_CREATE_TSDF_INTERNAL_ERR = '3c1294f4-9b7d-11ea-a425-04d3b0c6010a'
    _TST_FEATURIZATION_TRANSFORM = '3881296c-9546-11ea-a3c3-04d3b0c6010a'
    _TST_FIT_NOT_CALLED = 'ba413e74-9b7e-11ea-9166-04d3b0c6010a'
    _TST_GET_LAG_FIT_NOT_CALLED = '88a88248-9b90-11ea-ab07-04d3b0c6010a'
    _TST_GET_RW_FIT_NOT_CALLED = 'ac932568-9b90-11ea-b443-04d3b0c6010a'
    _TST_NO_DATA_IN_GRAIN = 'f9df5650-955a-11ea-a5c6-04d3b0c6010a'
    _TST_NO_ENGINEERING_FEATURE_NAMES = 'f2470d1e-9b7c-11ea-b0ce-04d3b0c6010a'
    _TST_NO_GROUP_COLNAME = '6a38835e-9b7c-11ea-860b-d4d3b0c5110a'
    _TST_NO_GROUP_COLNAME_STR = '7a38835e-9b7c-11ea-860b-c4d3b0c5110a'
    _TST_NO_ORIGIN_COLNAME = 'aa38835e-9b7c-11ea-860b-a4d3b0c6110a'
    _TST_NO_REGULAR_COLNAME = 'ba38835e-9b7c-11ea-860b-14d3b0c6010e'
    _TST_NO_REGULAR_COLNAME_DF = 'b335635e-9b7c-12ea-850b-8ad3b0c6010e'
    _TST_NO_REGULAR_COLNAME_FC_UTIL = 'aa38835e-9b7c-11ea-860b-24d3b0c6010e'
    _TST_NO_REGULAR_COLNAME_FC_VERI = 'ca38635e-9b7c-11ea-860b-1ad3b0c6010e'
    _TST_NO_REGULAR_COLNAME_FC_VERI_STR = 'da33835e-9b7c-11ea-860b-64a3b0c6010e'
    _TST_NO_TIME_COLNAME = 'aa38835e-9b7c-11ea-860b-04d3b0c6010a'
    _TST_NO_TIME_COLNAME_CREATE_TSDF = '184d49f4-9b7d-11ea-a51b-04d3b0c6010a'
    _TST_NO_TIME_COLNAME_TRAIN_UTIL = '5b38835e-9b7c-11ea-860b-6ad3bac6010a'
    _TST_NO_TIME_COLNAME_TSDF = '286d49f4-9b7d-11ea-a51b-cbd3b0ce010a'
    _TST_NO_TIME_COLNAME_TSDF_CHK_TM_COL = '6c6d49f4-9b7d-11ea-a51b-7bd3a1de010a'
    _TST_NO_TIME_COLNAME_TS_TRANS_INIT = '364d49f4-9b7d-11ea-a51b-8ad3b0c6010a'
    _TST_NO_VALUE_COLNAME = 'ca38835e-9b7c-11ea-860b-14a3b0c6016e'
    _TST_PARTIAL_FIT_ARG_WRONG_TYPE = 'eac31152-9b7d-11ea-bfb2-04d3b0c6010a'
    _TST_PARTIAL_FIT_ARG_WRONG_TYPE_EMP = '8c318428-9b87-11ea-818e-04d3b0c6010a'
    _TST_PARTIAL_FIT_NOT_CALLED = '56ab6154-9b7e-11ea-a2fc-04d3b0c6010a'
    _TST_PROFILE_NO_ROWS = '8416061e-fe2c-11ec-b86f-8c1645fec84b'
    _TST_REMOVE_NANS_LOOK_BACK = 'c6b62f16-6209-4ffc-8dc0-efa9761259da'
    _TST_TRANSFORM_ARG_WRONG_TYPE = '87d8a3e2-9b7e-11ea-bcc5-04d3b0c6010a'
    _TST_TRANSFORM_ARG_WRONG_TYPE_EMP = 'adfa7398-9b87-11ea-811a-04d3b0c6010a'
    _TST_TSDF_TARGET_BOTH_PROVIDED = 'e755059b-cbdd-484f-844e-b5a4b636fabf'
    _TST_TSDF_TARGET_NULL = '68705793-7a14-4368-8d16-1c125e32e8ef'
    _TST_TYPE_MISMATCH_FULL_CV = '89bed41d-816c-4911-a4e4-7f45e0008466'
    _TST_TYPE_MISMATCH_FULL_DROP_CV = '0c91fbbe-56e1-11eb-bb65-04d3b0c6010a'
    _TST_WRONG_FREQ = '7a035e36-b679-11ea-882c-04d3b0c6010a'
    _TST_WRONG_USE_STL = '664bb654-9b7c-11ea-bc36-04d3b0c6010a'
    _TS_AGG_WITHOUT_FREQ = '216a40b6-62a1-11eb-9cae-04d3b0c6010a'
    _TS_CANNOT_DROP_SPECIAL_COL_TM = '3e4ef69d-94f4-4c79-864d-e8f4228fd9a8'
    _TS_CANNOT_DROP_SPECIAL_COL_TM_IDX = '3e4ef69d-94f4-4c79-664d-c8f4228fa9a8'
    _TS_CANNOT_INFER_FREQ_FROM_TIME_IDX = '65bd0fab-537c-47e0-ae5a-4cb9846f9478'
    _TS_CANNOT_INFER_FREQ_FROM_TIME_IDX_NO_MODE = '03c85bf1-0cdf-4657-a99a-ded8d3a4ba0d'
    _TS_CANNOT_INFER_SINGLE_FREQ_FOR_ALL_TS = '307267f7-a20d-49ac-ba85-0a24fd24d6f1'
    _TS_DATASET_TYPE_ABSENT_IN_DATA_PROFILE = '54e3ecda-9251-11ed-8214-701ab85ce355'
    _TS_DATETIME_COLUMN_FEATURIZER_INVALID_INPUT_TYPE = 'ade6d8e1-2c32-4de6-b803-e915e3c9d57d'
    _TS_DATETIME_COLUMN_FEATURIZER_MISSING_COLUMN = 'adaf8b6e-1b80-4929-8750-b7a02d5668ad'
    _TS_DATETIME_COLUMN_FEATURIZER_PD_DATETIME_CONVERSION = '10674036-38fa-4095-b564-93950678b782'
    _TS_DIST_DATASET_CONFIG_COL_NOT_IN_PROFILE = 'eb8c303a-699c-11ed-99ed-701ab85ce355'
    _TS_DIST_HYPERPARAM_DIFFERENT_ON_MACHINES = 'd05d1754-6b2d-11ed-aadb-701ab85ce355'
    _TS_DIST_NO_GRAINS_TO_TRAIN = '08cd8280-699d-11ed-91a2-701ab85ce355'
    _TS_FREQUENCY_NOT_SUPPORTED = '7333f7a9-e8b2-4c3f-b4bd-327067563cb0'
    _TS_FREQUENCY_NOT_SUPPORTED_FREQ_TO_OFFSITE = '7333f7a9-e8b2-4c3f-b4bd-227067563cba'
    _TS_GRAIN_ABSENT_ADJUSTMENT = '0ef91230-7882-466e-96e4-e70aaf43326e'
    _TS_GRAIN_ABSENT_CV_FOLD = '54e2dcba-1c7b-4ff1-8031-653ba76b643c'
    _TS_GRAIN_ABSENT_FORECAST = 'ef0d5ece-77c4-40f3-82ff-65c3ca3b715a'
    _TS_GRAIN_ABSENT_IN_TS_DATA_PROFILE = '4db8e263-9251-11ed-8eec-701ab85ce355'
    _TS_GRAIN_ABSENT_MDL_WRP_CHK_GRAIN = '5cd748ec-400f-4fc2-95fb-109b86cb49ac'
    _TS_GRAIN_ABSENT_MDL_WRP_NO_DATA_CONTEXT = '5cd748ec-400f-4fc2-95fb-209b86cb49ab'
    _TS_GRAIN_ABSENT_MDL_WRP_NO_LAST_DATE = '5cd748ec-400f-4fc2-95fb-309b86cb49aa'
    _TS_GRAIN_ABSENT_VALIDATE_TRAIN_VALID = '5cd748ec-400f-4fc2-95fb-009b86cb49ac'
    _TS_GRAIN_COUNT_MISMATCH = 'dcef1c9b-5ab0-4f33-a078-4df61ea4211b'
    _TS_GRAIN_DIFFERENCE_EARLY_VALIDATE = '11f4ad35-2e1e-4baa-8204-9a17ab7b763e'
    _TS_IMPUTER_INVALID_DEFAULT_TSDF = '411a53e3-b210-40b5-ab18-fee806065380'
    _TS_IMPUTER_INVALID_METHOD = 'dffbb1dc-813f-467b-ae3d-308c589a7281'
    _TS_IMPUTER_INVALID_OPTION = 'bec9b13f-cedd-4ac6-842f-37bec46084de'
    _TS_IMPUTER_NOT_TSDF = '0a41f8cc-917d-11ea-8d09-04d3b0c6010a'
    _TS_IMPUTER_NO_COLUMN = '23630ef6-917e-11ea-8451-04d3b0c6010a'
    _TS_IMPUTER_NO_FREQ = 'd760302c-917d-11ea-a3c4-04d3b0c6010a'
    _TS_IMPUTER_UNSUPPORTED_METHOD = 'ca1d7bf0-917c-11ea-be13-04d3b0c6010a'
    _TS_IMPUTER_UNSUPPORTED_METHOD_TYPE = '5067c008-917d-11ea-88fb-04d3b0c6010a'
    _TS_IMPUTER_UNSUPPORTED_OPTION = 'ee1bc26e-917c-11ea-b6e9-04d3b0c6010a'
    _TS_IMPUTER_UNSUPPORTED_OPTION_TRANSFORM = 'aeb098fe-917d-11ea-abdf-04d3b0c6010a'
    _TS_INPUT_IS_NOT_TSDF = '7b35c862-8c80-4a4e-a5f1-31fcafc6cba9'
    _TS_INPUT_IS_NOT_TSDF_DROP_ALL = '50d691d4-8de1-11ec-8b41-8c1645fec84b'
    _TS_INPUT_IS_NOT_TSDF_GRAIN_IDX_FEA = '7b35c862-8c80-4a4e-a5f1-21fcafc6cba6'
    _TS_INPUT_IS_NOT_TSDF_LAG_LEAD = '7b35c862-8c80-4a4e-a5f1-3afcafc6cba5'
    _TS_INPUT_IS_NOT_TSDF_LAG_LEAD_CACHE = '7b35c862-8c80-4a4e-a5f1-7fcafc6cb62'
    _TS_INPUT_IS_NOT_TSDF_LAG_LEAD_PRE_CHECK = '7b35c862-8c80-4a4e-a5f1-6fcafc6cb68'
    _TS_INPUT_IS_NOT_TSDF_ROLL_WIN = '650fb71b-3751-4058-9f6b-92c8761dd69b'
    _TS_INPUT_IS_NOT_TSDF_SHORT_GRAIN = '650fb71b-3751-4058-9f6b-82c8761dd69b'
    _TS_INPUT_IS_NOT_TSDF_SHORT_GRAIN_TRANS = '650fb71b-3751-4058-9f6b-72c8761dd69b'
    _TS_INPUT_IS_NOT_TSDF_TM_IDX_FEA_CHK_INPUT = 'a50fb71b-3751-4058-9f6b-62c8761dd69b'
    _TS_INPUT_IS_NOT_TSDF_TM_IDX_FEA_NOISY = '350fb71b-3751-4058-9f6b-52c8761dd69b'
    _TS_INPUT_IS_NOT_TSDF_TM_IDX_STATIONARY_FEATURIZER = 'a50fb71b-3751-4058-9f6b-62c8761dd69c'
    _TS_INPUT_IS_NOT_TSDF_TM_TS_UTIL = 'e50fb71b-3751-4058-9f6b-36c8761dd69d'
    _TS_MAX_DATE_NOT_FOUND = '9a2cd7f4-1688-4427-9f37-93509b73ae69'
    _TS_METRIX_NO_GRAIN = '627b234c-90f4-11ec-b270-8c1645fec84b'
    _TS_METRIX_NO_TRAIN = '6db6d564-90f4-11ec-95d2-8c1645fec84b'
    _TS_METRIX_NO_VALID = '7edd9f94-90f4-11ec-9f99-8c1645fec84b'
    _TS_NODE_COUNT_NEGATIVE = '0138dcf4-699d-11ed-810a-701ab85ce355'
    _TS_NO_USABLE_GRAINS = '210abce8-c7ef-11eb-9855-04d3b0c6010a'
    _TS_NUMPY_DATASET_IDX_NOT_IN_VALID_RANGE = 'e4676eac-699c-11ed-862e-701ab85ce355'
    _TS_NUMPY_DATASET_INVALID_OFFSETS = '4f0199d9-7027-11ed-a2b9-701ab85ce355'
    _TS_NUMPY_DATASET_SHORT_GRAIN_DROPPED = '570804c2-7027-11ed-aa7b-701ab85ce355'
    _TS_ONE_VALUE_PER_GRAIN_RSCRIPT = '81bfc3ee-d90a-11ea-9819-04d3b0c6010a'
    _TS_ONE_VALUE_PER_GRAIN_TSUTIL = '710e2118-d90a-11ea-ad5b-04d3b0c6010a'
    _TS_REFERENCE_DATES_MISALIGNED = '8a0af203-8594-4193-8854-23103d538b2a'
    _TS_RW_BAD_FREQ = '5cdf9cdc-fb9d-11eb-949e-8c1645fec84b'
    _TS_RW_BAD_FREQ_LITERAL = 'a7e5edcc-fbbd-11eb-b1e3-8c1645fec84b'
    _TS_RW_BAD_TRANSFORM_DICT = '4babb76e-eff0-11eb-b441-04d3b0c6010a'
    _TS_RW_BAD_TRANSFORM_OPTS = 'ba53c31c-efef-11eb-b58a-04d3b0c6010a'
    _TS_RW_BAD_WINDOW = '40b16ac6-f0cd-11eb-a80d-04d3b0c6010a'
    _TS_RW_BAD_WINDOW_OPTS = '4d82b748-efe9-11eb-becf-04d3b0c6010a'
    _TS_RW_FIT_NOT_CALLED = '902e24c6-eff3-11eb-8f95-04d3b0c6010a'
    _TS_RW_NON_UNIQ_COLUMNS_AFTER_TRANSFORM = '19ad55ae-eff2-11eb-bd8f-04d3b0c6010a'
    _TS_RW_NON_UNIQ_COLUMNS_AFTER_TRANSFORM_OPTS = 'cd3e487a-eff2-11eb-b9e6-04d3b0c6010a'
    _TS_SHARDING_NEGATIVE_CAPACITY = '33eedcdd-6bd6-11ed-af6d-701ab85ce355'
    _TS_SHARDING_ROW_END_IDX_GT_TOTAL_ROWS = 'fc34f21e-699c-11ed-8796-701ab85ce355'
    _TS_SHARDING_ROW_END_IDX_LT_ROW_START_IDX = 'f7b6c46e-699c-11ed-a8b2-701ab85ce355'
    _TS_SHARDING_STRATEGY_NOT_FOUND = 'fb38f4cb-7532-11ed-b809-701ab85ce355'
    _TS_SHORT_GRAINS_ALL_SHORT_AGG = 'c0a9bee2-8df0-11ec-83fc-8c1645fec84b'
    _TS_SHORT_GRAINS_ALL_SHORT_FIT = 'd3c60c10-7edc-11ec-b4d5-8c1645fec84b'
    _TS_SHORT_GRAINS_ALL_SHORT_FIT_DIST_FEATUR = '2720c418-8b76-11ec-be50-8c1645fec84b'
    _TS_SHORT_GRAINS_ALL_SHORT_REFIT = '94afdf28-fa06-11eb-895e-04d3b0c6010a'
    _TS_SHORT_GRAINS_ALL_SHORT_TRANS = 'd62d64cc-fa06-11eb-9109-04d3b0c6010a'
    _TS_SHORT_GRAINS_NO_FIT_GR = '60d0ae4a-fa06-11eb-91df-04d3b0c6010a'
    _TS_SHORT_GRAINS_NO_FIT_HAS_GR = '15a00440-fa08-11eb-83b9-04d3b0c6010a'
    _TS_SHORT_GRAINS_NO_FIT_TRANS = '69d823ac-fa06-11eb-96dc-04d3b0c6010a'
    _TS_SHUFFLE_AND_SAMPLER_PROVIDED_TOGETHER = '918e7f61-7f72-11ed-af71-701ab85ce355'
    _TS_STATIONARY_FEATURIZER_NO_FIT_TRANS = '79d823ac-fa06-11eb-96dc-04d3b0c6010a'
    _TS_STATIONARY_FEATURIZER_UNSUPPORTED_TIME_SEQUENCE = '89d823ac-fa06-11eb-96dc-04d3b0c6010a'
    _TS_STL_BAD_DAMPING = '575dd7d8-f589-11eb-91ae-04d3b0c6010a'
    _TS_STL_BAD_MUL_MODEL = '829a98ee-f589-11eb-a8a1-04d3b0c6010a'
    _TS_STL_BAD_SEASONALITY = 'e73773ae-f56f-11eb-afa7-04d3b0c6010a'
    _TS_STL_NO_FIT = 'a727febe-f54a-11eb-849f-04d3b0c6010a'
    _TS_STL_NO_FIT_ASSIGN = '115875fa-f555-11eb-b61c-04d3b0c6010a'
    _TS_STL_UNDETECTED_HORIZON = '97552b6e-f552-11eb-9142-04d3b0c6010a'
    _TS_STL_UNEXPECTED_ORIGIN = '429ac0b8-f543-11eb-83be-04d3b0c6010a'
    _TS_TIME_COL_NAME_OVERLAP_ID_COL_NAMES = '77af13c5-b6ee-4932-ba21-7bb7d770f543'
    _TS_TIME_IDX_DATES_MISALIGNED = '060307ca-90ae-4245-9413-0d1b0d9d374a'
    _TS_TM_FT_COLUMN_EXISTS = 'cba59374-f3f5-11eb-801b-04d3b0c6010a'
    _TS_TM_FT_COR_CUTOFF_OUT_OF_RANGE = '5a610d9a-f3f4-11eb-9a70-04d3b0c6010a'
    _TS_TM_FT_UNKNOWN_FORCE_SETTING = '9a8a74e4-f3de-11eb-a61a-04d3b0c6010a'
    _TS_TM_FT_UNSUPPORTED_FORCE_SETTING = '8e1c94c6-f3dd-11eb-a380-04d3b0c6010a'
    _TS_TM_FT_WRONG_COR_CUTOFF = '0052e726-f3ec-11eb-806c-04d3b0c6010a'
    _TS_TM_FT_WRONG_OVERWRITE = '15c5b892-f3e7-11eb-8882-04d3b0c6010a'
    _TS_TM_FT_WRONG_PRUNE = 'da2f101c-f3e7-11eb-9921-04d3b0c6010a'
    _TS_TRANS_INVALID_TYPE_OF_COLUMN_NAMES = 'f4e07689-fc04-42c0-ac52-5e3ed998df66'
    _TS_TRANS_INVALID_TYPE_OF_COL_NAME = 'f4e07689-fc04-42c0-ac52-3e3ed998df56'
    _TS_TRANS_MAX_HORIZON_TYPE_ERROR = '2b35061c-e04e-4290-8dda-983ade467a8a'
    _TS_TRANS_OVERWRITE_COLUMNS_REQUIRED = '6eabefac-9411-4379-9e47-74c9f84b0070'
    _TS_VALIDATION_GRAIN_TYPE_INFERENCE = 'd9acdd0c-550f-11eb-bd8f-04d3b0c6010a'
    _TS_VALIDATION_GRAIN_TYPE_LOCAL = '520da080-5095-11eb-8244-8c1645fec84b'
    _TS_VALIDATION_GRAIN_TYPE_REMOTE = 'df84099a-550f-11eb-84f5-04d3b0c6010a'
    _TS_VALIDATION_RESERVED_COLUMNS = '45542412-d75e-11ea-af8b-04d3b0c6010a'
    _TS_WRONG_SHAPE_CREATE_PRED_DF = '9aa1211b-115a-474c-b522-b8170ae8c8b5'
    _TS_WRONG_SHAPE_CREATE_PRED_DF_XCPY_XPRED = '9aa1211b-115a-474c-b522-c6170ae8c8b5'
    _TS_WRONG_SHAPE_DATA_FOR_ALL_GRAINS = 'c10a2672-9792-4462-9553-5abcc8620912'
    _TS_WRONG_SHAPE_DATA_VALIDATE_TRAIN_DATA = '9aa1211b-115a-474c-b522-c8170ae8c8b6'
    _TS_WRONG_SHAPE_FATAL_EARLY_DESTINATION = '9aa1211b-115a-474c-b522-b6170ae8c8b3'
    _TS_WRONG_SHAPE_FATAL_EARLY_DESTINATION2 = '9aa1211b-115a-474c-b522-c1170ae8c8b3'
    _UNVERIFIED_PACKAGES = '65e7ad52-ad1f-4915-85ad-440d0a5e221f'
    _UNVERIFIED_PACKAGES_ADB = 'baf60d78-c1c2-4c27-9100-623981408905'
    _UTILITIES_CHECK_INPUT_INCORRECT_TYPE = '098d83d9-f525-4844-9666-ea28b1a41f08'
    _UTILITIES_CHECK_INPUT_NONE = 'f18c66a6-f745-48e0-8465-20b81b0d5314'
    _UTILITIES_SPARSE_ISNAN_NOT_SPARSE = '282835f7-e80b-42bc-aae1-f87b1f8c5fa6'
    _UTILITIES_SPARSE_STD_NOT_SPARSE = '9cb7798a-0a3e-4add-9d84-986fc78cd11a'
    _VALIDATE_ALL_COLUMN_IGNORED = 'e17027b1-6821-44b6-aa88-6da3f51a1c48'
    _VALIDATE_ALL_COLUMN_IGNORED_FEATURIZATION = 'be62891a-f026-48ca-8134-c1fd4777122f'
    _VALIDATE_CONFLICTING_TIMEOUT = '79611c72-0557-46cb-be75-6ee891d82fc8'
    _VALIDATE_CUSTOM_CV_SPLITS_DISJOINT = 'a363e208-3b9a-4309-b29a-cce304549715'
    _VALIDATE_CUSTOM_CV_SPLITS_DUPLICATES = 'ae202e17-a968-459d-bc52-cc591255867b'
    _VALIDATE_CUSTOM_CV_SPLITS_MAX_INDEX = '98094649-c30a-4daf-9698-aead4e3f354a'
    _VALIDATE_CUSTOM_CV_SPLITS_MAX_SIZE = '357d18c9-dacf-4f93-9c33-10e226b88b04'
    _VALIDATE_CUSTOM_CV_SPLITS_MIN_INDEX = '52e3a15a-23ac-4653-89fe-24327ab2fd5c'
    _VALIDATE_CUSTOM_CV_SPLITS_NUMPY_ARRAY_TYPE = '8efc0141-845d-4d8e-91e4-409fce057a57'
    _VALIDATE_CV_PARAMETERS_FRAC_TEST = '61a31b8d-df6b-42dc-821c-6d3c53f189fc'
    _VALIDATE_CV_PARAMETERS_FRAC_VALID = 'b9679fc5-a1a8-41c5-a4e3-2aaa9fcb11df'
    _VALIDATE_CV_PARAMETERS_FRAC_VALID_TEST = '21fab37d-3605-44a7-8f7d-aa88633a2286'
    _VALIDATE_CV_PARAMETERS_NEG_CV = '7b78b4aa-d301-4652-aaac-72fee1122f95'
    _VALIDATE_CV_PARAMETERS_NON_TS_CV = '09f35112-caa4-40e8-b503-d456027baa5b'
    _VALIDATE_CV_PARAMETERS_TS_CV_SPLITS = '648806f0-cd17-44db-b263-c3c660c67dc5'
    _VALIDATE_CV_PARAMETERS_TS_FRAC = '5609915f-20df-46bf-9219-2d8d7359d80f'
    _VALIDATE_CV_PARAMETERS_TS_PARAM_DICT = 'd065bd82-f6ea-4923-b4f6-107caf883127'
    _VALIDATE_CV_PARAMETERS_TS_TEST_CUTOFF = 'e6ff9ba8-5b35-4be5-8c77-b1eccf72c824'
    _VALIDATE_DNN_ENABLED_MANY_MODELS = 'eae06818-8dd1-4a1e-b662-40db40c8dc75'
    _VALIDATE_EXP_TIMEOUT_WITH_DATA = '315a3631-c201-44a1-931f-dad7a14b7ec4'
    _VALIDATE_FEATURIZATION_PURPOSE_TIMESERIES = 'b90b3962-94a4-11ea-885b-04d3b0c6010a'
    _VALIDATE_FEATURIZATION_TRANSFORM_TIMESERIES = '6ed06a3e-94b1-11ea-b30d-04d3b0c6010a'
    _VALIDATE_SAMPLE_WEIGHTS_IN_RANGE = '5345c85d-51c7-4116-980e-c3d40084a313'
    _VALIDATE_SAMPLE_WEIGHTS_IS_NUMERIC = '698ee5e0-5789-4124-8aa8-d0bef553341b'
    _VALIDATE_SAMPLE_WEIGHTS_METRIC = '9ed8fd8d-5975-4d5d-a3b6-bd6e1c16012e'
    _VALIDATE_SAMPLE_WEIGHTS_NDARRAY = '7f427505-e0fa-4211-bb0f-415f0e2dde8d'
    _VALIDATE_SAMPLE_WEIGHTS_NUM_RECORD = '7fcab28e-7a6c-4667-88a3-c708cd42a848'
    _VALIDATE_SAMPLE_WEIGHTS_SHAPE = '239e3dc6-deb0-4989-9f42-f8e89d804b14'
    _VALIDATE_TARGET_COLUMN_INCORRECT_TYPE = '08629a21-bbcb-4088-959b-2d35c00cae32'
    _VALIDATE_TARGET_COLUMN_NOT_ALL_UNIQUE = '878bdc3c-cc77-45c2-b254-5a4e6cf2bad3'
    _VALIDATE_TARGET_COLUMN_NOT_SINGLE_VALUE = 'c0367cea-5bdf-4eed-b33e-73064edbf858'
    _Y_SHAPE_MISMATCH = '64d623bb-72fc-4b93-885c-3838373d7c59'
